package datahandlers;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class DatabaseConnectionCreator {
	
	private Connection databaseConnection;
	
	
	public DatabaseConnectionCreator(String url, String user, String password) throws SQLException {
		databaseConnection = DriverManager.getConnection(url, user, password);
	}
	
	public DatabaseConnectionCreator(String configFile) throws IOException, SQLException {
		File file = new File(configFile);
		FileReader fileReader = new FileReader(file);
		BufferedReader bufferedReader = new BufferedReader(fileReader);
		
		String ip = bufferedReader.readLine();
		String dbName = bufferedReader.readLine();
		String user = bufferedReader.readLine();
		String password = bufferedReader.readLine();
		bufferedReader.close();
		
		String url = "jdbc:mysql://" + ip + "/" + dbName + "?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC&useSSL=false";
		databaseConnection = DriverManager.getConnection(url, user, password);
	}
	
	public Connection getConnection() {
		return databaseConnection;
	}

}
