package datahandlers;

import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

import javafx.beans.property.SimpleStringProperty;
import main.Constants;

public class TableRowInfoboxData {
	
	private SimpleStringProperty birthDateColumn;
	
	private SimpleStringProperty deathDateColumn;
	
	private SimpleStringProperty nameColumn;

	private SimpleStringProperty realitonsWithColumn;

	private SimpleStringProperty relationsColumn;
	
	private DateTimeFormatter dateTimeFormatter;
	
	public TableRowInfoboxData() {
		this.birthDateColumn = new SimpleStringProperty();
		this.deathDateColumn = new SimpleStringProperty();
		this.nameColumn = new SimpleStringProperty();
		this.realitonsWithColumn = new SimpleStringProperty();
		this.relationsColumn = new SimpleStringProperty();
		this.dateTimeFormatter = DateTimeFormat.forPattern(Constants.DATE_TIME_PATTERN);
	}

	public TableRowInfoboxData(SimpleStringProperty birthDateColumn, SimpleStringProperty deathDateColumn,
			SimpleStringProperty nameColumn, SimpleStringProperty realitonsWithColumn, SimpleStringProperty relationsColumn) {
		this.birthDateColumn = birthDateColumn;
		this.deathDateColumn = deathDateColumn;
		this.nameColumn = nameColumn;
		this.realitonsWithColumn = realitonsWithColumn;
		this.relationsColumn = relationsColumn;
	}

	public String getBirthDateColumn() {
		return birthDateColumn.get();
	}

	public void setBirthDateColumn(DateTime birthDateColumn) {
		if (birthDateColumn == null) {
			this.birthDateColumn.set(Constants.IF_DATE_IS_NULL);	
		}
		else {
			this.birthDateColumn.set(dateTimeFormatter.print(birthDateColumn));			
		}
	}

	public String getDeathDateColumn() {
		return deathDateColumn.get();
	}

	public void setDeathDateColumn(DateTime deathDateColumn) {
		if (deathDateColumn == null) {
			this.deathDateColumn.set(Constants.IF_DATE_IS_NULL);
		}
		else {
			this.deathDateColumn.set(dateTimeFormatter.print(deathDateColumn));	
		}
	}

	public String getNameColumn() {
		return nameColumn.get();
	}

	public void setNameColumn(String nameColumn) {
		this.nameColumn.set(nameColumn);
	}

	public String getRealitonsWithColumn() {
		return realitonsWithColumn.get();
	}

	public void setRealitonsWithColumn(String realitonsWithColumn) {
		this.realitonsWithColumn.set(realitonsWithColumn);
	}

	public String getRelationsColumn() {
		return relationsColumn.get();
	}

	public void setRelationsColumn(String relationsColumn) {
		this.relationsColumn.set(relationsColumn);
	}

	@Override
	public String toString() {
		return "TableRowInfoboxData [nameColumn=" + nameColumn + ", realitonsWithColumn=" + realitonsWithColumn	+ ", relationsColumn=" + relationsColumn + "]";
	}
	
}
