SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema wikipedia
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema wikipedia
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `wikipedia` ;
USE `wikipedia` ;

-- -----------------------------------------------------
-- Table `wikipedia`.`pages`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `wikipedia`.`pages` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `pageName` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;

CREATE INDEX `pageName_index` ON `wikipedia`.`pages` (`pageName` ASC);


-- -----------------------------------------------------
-- Table `wikipedia`.`redirect`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `wikipedia`.`redirect` (
  `oldName` VARCHAR(255) NOT NULL,
  `newName` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`oldName`, `newName`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `wikipedia`.`infoboxes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `wikipedia`.`infoboxes` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `infoboxType` VARCHAR(255) NOT NULL,
  `infoboxContent` LONGTEXT NOT NULL,
  `pageId` INT NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;

CREATE INDEX `id_idx` ON `wikipedia`.`infoboxes` (`pageId`);

INSERT INTO `pages` (`id`,`pageName`) VALUES (43,'Albert Einstein');
INSERT INTO `pages` (`id`,`pageName`) VALUES (146593,'Adolf Eugen Fick');
INSERT INTO `pages` (`id`,`pageName`) VALUES (664316,'Alfred Kleiner');
INSERT INTO `pages` (`id`,`pageName`) VALUES (829301,'August Gottlieb Richter');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1202203,'Heinrich August Wrisberg');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1246321,'Gottfried Christoph Beireis');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1266421,'Justus Christian Loder');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1353204,'Johann Jakob Müller');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1396307,'Franz Ludwig Fick');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1396790,'Christian Heinrich Bünger');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1401805,'Georg Gottlob Richter');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1401817,'Johann Ludwig Hannemann');

INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Adolf Fick','Adolf Eugen Fick');

INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (49,'scientist','{{Infobox scientist\r\n| name              = Albert Einstein\r\n| image             = Einstein 1921 by F Schmutzer - restoration.jpg\r\n| caption           = Einstein in 1921\r\n| birth_date        = {{Birth date|df=yes|1879|3|14}}\r\n| birth_place       = [[Ulm]], [[Kingdom of Württemberg]], [[German Empire]]\r\n| death_date        = {{Death date and age|df=yes|1955|4|18|1879|3|14}}\r\n| death_place       = {{nowrap|[[Princeton, New Jersey]], U.S.}}\r\n| children          = {{plainlist|\r\n*[[Lieserl Einstein|&quot;Lieserl&quot; Einstein]]\r\n*[[Hans Albert Einstein]]\r\n*[[Einstein family#Eduard &quot;Tete&quot; Einstein (Albert\'s second son)|Eduard &quot;Tete&quot; Einstein]]}}\r\n| spouse            = {{plainlist|\r\n*{{marriage|[[Mileva Mari?]]|1903|1919|end=divorced}}\r\n*{{marriage|[[Elsa Löwenthal]]|1919|1936|end=died&lt;ref name=&quot;66xNO&quot; /&gt;{{sfnp|Pais|1982|p=301}}}}}}\r\n| citizenship       = {{plainlist|\r\n* [[Kingdom of Württemberg]], part of the German Empire (1879–1896)&lt;ref group=&quot;note&quot; name=&quot;GEcitizen&quot; /&gt;\r\n* [[Statelessness|Stateless]] (1896–1901)\r\n* [[Switzerland]] (1901–1955)\r\n* [[Cisleithania|Austria]], part of the [[Austro-Hungarian Empire]] (1911–1912)\r\n* [[Kingdom of Prussia]], part of the German Empire (1914–1918)&lt;ref group=&quot;note&quot; name=&quot;GEcitizen&quot; /&gt;\r\n* [[Free State of Prussia]] ([[Weimar Republic|Germany]], 1918–1933)\r\n* [[United States]] (1940–1955)\r\n}}\r\n| fields            = [[Physics]], [[philosophy]]\r\n| workplaces        = {{plainlist|\r\n* [[Swiss Patent Office]] ([[Bern]]) (1902–1909)\r\n* [[University of Bern]] (1908–1909)\r\n* [[University of Zurich]] (1909–1911)\r\n* [[Karl-Ferdinands-Universität|Charles University in Prague]] (1911–1912)\r\n* [[ETH Zurich]] (1912–1914)\r\n* [[Prussian Academy of Sciences]] (1914–1933)\r\n* [[Humboldt University of Berlin]] (1914–1933)\r\n* [[Kaiser Wilhelm Institute]] (director, 1917–1933)\r\n* [[German Physical Society]] (president, 1916–1918)\r\n* [[Leiden University]] (visits, 1920)\r\n* [[Institute for Advanced Study]] (1933–1955)\r\n* [[Caltech]] (visits, 1931–1933)\r\n* [[University of Oxford]] (visits, 1931–1933)\r\n}}\r\n| education         = {{plainlist|\r\n* [[ETH Zurich|Federal Polytechnic School]] in [[Zurich]] (Federal teaching diploma, 1900)\r\n* [[University of Zurich]] (PhD, 1905)\r\n}}\r\n| doctoral_advisor  = [[Alfred Kleiner]]\r\n| thesis_title      = {{lang|de|Eine neue Bestimmung der Moleküldimensionen}} (A New Determination of Molecular Dimensions)\r\n| thesis_url        = http://e-collection.library.ethz.ch/eserv/eth:30378/eth-30378-01.pdf\r\n| thesis_year       = 1905\r\n| academic_advisors = [[Heinrich Friedrich Weber]]\r\n| influenced        = {{plainlist|\r\n* Virtually all [[modern physics]]\r\n}}\r\n| known_for         = {{plainlist|\r\n* [[General relativity]]\r\n* [[Special relativity]]\r\n* [[Photoelectric effect]]\r\n* [[Mass–energy equivalence|\'\'E=mc&lt;sup&gt;2&lt;/sup&gt;\'\' (Mass–energy equivalence)]]\r\n* [[Planck–Einstein relation|\'\'E=hf\'\' (Planck–Einstein relation)]]\r\n* Theory of [[Brownian motion]]\r\n* [[Einstein field equations]]\r\n* [[Bose–Einstein statistics]]\r\n* [[Bose–Einstein condensate]]\r\n* [[Gravitational wave]]\r\n* [[Cosmological constant]]\r\n* [[Unified field theory]]\r\n* [[EPR paradox]]\r\n* [[Ensemble interpretation]]\r\n* [[List of things named after Albert Einstein|List of other concepts]]\r\n}}\r\n| awards            = {{plainlist|\r\n* [[Barnard Medal for Meritorious Service to Science|Barnard Medal]] (1920)\r\n* [[Nobel Prize in Physics]] (1921)\r\n* [[Matteucci Medal]] (1921)\r\n* [[ForMemRS]] (1921)&lt;ref name=&quot;frs&quot; /&gt;\r\n* [[Copley Medal]] (1925)&lt;ref name=&quot;frs&quot; /&gt;\r\n* [[Gold Medal of the Royal Astronomical Society]] (1926)\r\n* [[Max Planck Medal]] (1929)\r\n* [[Member of the National Academy of Sciences]] (1942)\r\n* [[Time 100: The Most Important People of the Century|\'\'Time\'\' Person of the Century]] (1999)\r\n}}\r\n| signature         = Albert Einstein signature 1934.svg\r\n| influences        = {{plainlist|\r\n* [[Arthur Schopenhauer]]\r\n* [[Baruch Spinoza]]\r\n* [[Bernhard Riemann]]\r\n* [[David Hume]]\r\n* [[Ernst Mach]]\r\n* [[Hendrik Lorentz]]\r\n* [[Hermann Minkowski]]\r\n* [[Isaac Newton]]\r\n* [[James Clerk Maxwell]]\r\n* [[Michele Besso]]\r\n* [[Moritz Schlick]]\r\n* [[Thomas Young (scientist)|Thomas Young]]\r\n}}\r\n}',43);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (163012,'scientist','{{Infobox scientist\r\n|name              = Adolf Fick\r\n|image             = Adolf Fick 8bit korr klein1.jpg\r\n|image_size        = 200px\r\n|caption           = Adolf Fick (1829–1901)\r\n|birth_date        = 3 September 1829\r\n|birth_place       = [[Kassel]], [[Electorate of Hesse]]\r\n|death_date={{dda|df=y|1901|8|21|1829|9|3}}\r\n|death_place=[[Blankenberge|Blankenberge, Flanders]]\r\n|nationality       = [[Germany|German]]\r\n|ethnicity         = \r\n|fields            = [[Physiology]]&lt;BR&gt;[[Biophysics]]\r\n|workplaces        = [[University of Zurich]]&lt;br&gt;[[University of Würzburg]]\r\n|alma_mater        = [[University of Marburg]]\r\n|doctoral_advisor  = [[Franz Ludwig Fick]]&lt;ref name=&quot;MGP&quot;&gt;{{MathGenealogy|127308}}&lt;/ref&gt;\r\n|academic_advisors = \r\n|doctoral_students = [[Johann Jakob Müller]]&lt;ref name=&quot;MGP&quot;/&gt;\r\n|notable_students  = \r\n|known_for         = [[Fick\'s laws of diffusion]]&lt;br&gt;[[Fick principle]]&lt;br&gt;[[Direct Fick|Direct Fick method]]\r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = [[Carl Ludwig]]\r\n|influenced        = \r\n|awards            = \r\n|signature         =  &lt;!--(filename only)--&gt;\r\n|footnotes         = He is the brother of [[Franz Ludwig Fick]]. He is the uncle of [[Adolf Gaston Eugen Fick]] who invented the [[contact lens]].&lt;ref name=&quot;CL&quot;/&gt;\r\n}',146593);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (732482,'scientist','{{Infobox scientist\r\n|name              = Alfred Kleiner\r\n|image             = ETH-BIB-Kleiner, Alfred (1849-1916)-Portrait-Portr 10505.tif (cropped).jpg\r\n|image_size        = \r\n|caption           = Dr Alfred Kleiner (1849-1916). Source: \'\'Image Archive ETH-Bibliothek Zurich.\'\'\r\n|birth_date        = {{birth date|1849|4|24|mf=y}}\r\n|birth_place       = [[Maschwanden]], [[Canton of Zurich|Zurich]], [[Switzerland]]\r\n|death_date        = {{death date and age|1916|7|3|1849|4|24|mf=y}}\r\n|death_place       = \r\n|residence         = [[Switzerland]]\r\n|citizenship       = \r\n|nationality       = [[Switzerland|Swiss]]\r\n|ethnicity         = \r\n|fields            = [[Physicist]]\r\n|workplaces        = [[University of Zurich]]\r\n|alma_mater        = University of Zurich\r\n|doctoral_advisor  = [[Johann Jakob Müller]]\r\n|academic_advisors =\r\n|doctoral_students = [[Albert Einstein]]\r\n|notable_students  = Fritz Laager&lt;br&gt;Theodor Erismann\r\n|known_for         = Work on [[statistical physics]]\r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          = \r\n|signature         = &lt;!--(filename only)--&gt;\r\n|footnotes         = \r\n}',664316);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (909930,'scientist','{{Infobox scientist\r\n|name              = August Richter\r\n|image             = August Gottlieb Richter (1742-1812).jpg\r\n|image_size        = 150px\r\n|caption           = August Gottlieb Richter (1742-1812)\r\n|birth_date        = 13 April 1742\r\n|birth_place       = [[Zörbig]], [[Electorate of Saxony]]\r\n|death_date        = {{death-date and age|23 July 1812|13 April 1742}}\r\n|death_place       = [[Göttingen]], [[Kingdom of Westphalia]]\r\n|residence         = [[Germany]]\r\n|citizenship       = \r\n|nationality       = [[Germany|German]]\r\n|ethnicity         = \r\n|fields            = [[Surgeon]]\r\n|workplaces        = [[University of Göttingen]]\r\n|alma_mater        = [[University of Göttingen]]\r\n|doctoral_advisor  = [[Georg Gottlob Richter]] \r\n|academic_advisors = \r\n|doctoral_students = [[Justus Christian Loder|Justus Ferdinand Christian Loder]]	 \r\n|notable_students  = \r\n|known_for         = [[Richter\'s hernia]]\r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          = \r\n|signature         =  &lt;!--(filename only)--&gt;\r\n|footnotes         = He is the nephew of [[Georg Gottlob Richter]].\r\n}',829301);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1320097,'scientist','{{Infobox scientist\r\n| name              = Heinrich Wrisberg\r\n| image             = Henricvs Avgvstvs Wrisberg (1739-1808).jpg\r\n| image_size        = 300px\r\n| caption           = Heinrich August Wrisberg (1739-1808)\r\n| birth_date        = 20 June 1739\r\n| birth_place       = [[Sankt Andreasberg]], [[Duchy of Brunswick-Lüneburg]]\r\n| death_date        = 29 March 1808 (aged 68)\r\n| death_place       = [[Göttingen]], [[Kingdom of Westphalia]]\r\n| residence         = [[Germany]]\r\n| citizenship       =\r\n| nationality       = [[Germany|German]]\r\n| ethnicity         =\r\n| fields            = [[Anatomist]] and [[gynaecologist]]\r\n| workplaces        = [[University of Göttingen]]\r\n| alma_mater        = [[University of Göttingen]]\r\n| doctoral_advisor  =\r\n| academic_advisors =\r\n| doctoral_students = [[Justus Christian Loder]]\r\n| notable_students  = [[Christoph Wilhelm Hufeland]]\r\n| known_for         = [[cuneiform cartilages|Wrisberg cartilages]]&lt;br&gt;[[Wrisberg ganglion]]\r\n| author_abbrev_bot =\r\n| author_abbrev_zoo =\r\n| influences        = [[Georg Gottlob Richter]]\r\n| influenced        =\r\n| awards            =\r\n| religion          =\r\n| signature         = &lt;!--(filename only)--&gt;\r\n| footnotes         =\r\n}',1202203);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1368330,'scientist','{{Infobox scientist\r\n|name              = Gottfried Christoph Beireis\r\n|image             = Gottfried Christoph Beireis (2 March 1730 – 18 September 1809).jpg\r\n|image_size        = 300px\r\n|caption           = Gottfried Christoph Beireis\r\n|birth_date        = {{birth date|1730|03|02|df=y}}\r\n|birth_place       = Free imperial city of [[Mühlhausen]], [[Holy Roman Empire]]\r\n|death_date        = {{death date and age|1809|09|18|1730|03|02|df=y}}\r\n|death_place       = [[Helmstedt]], [[Kingdom of Westphalia]]\r\n|residence         = [[Germany]]\r\n|citizenship       = \r\n|nationality       = [[Germany|German]]\r\n|ethnicity         = \r\n|fields            = [[Physicist]], [[chemist]], and [[physician]]\r\n|workplaces        = [[University of Helmstedt]] \r\n|alma_mater        = [[University of Helmstedt]] \r\n|doctoral_advisor  = [[Lorenz Heister]] \r\n|academic_advisors = [[Georg Erhardt Hamberger]]\r\n|doctoral_students = [[Christian Heinrich Bünger]]\r\n|notable_students  = \r\n|known_for         = [[cinnabar|Production of cinnabar red dye]]\r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          = \r\n|signature         = &lt;!--(filename only)--&gt;\r\n|footnotes         = \r\n}',1246321);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1390371,'scientist','{{Infobox scientist\r\n|name              = Justus Christian Loder\r\n|image             = JustusChristianLoder.jpg\r\n|image_size        = 200px\r\n|caption           = Justus Ferdinand Christian Loder (1753-1832) \r\n|birth_date        = 12 March 1753\r\n|birth_place       = [[Riga]], [[Riga Governorate]], [[Imperial Russia]]\r\n|death_date        = {{dda|1832|4|16|1753|3|12|df=y}}\r\n|death_place       = [[Moscow]], [[Imperial Russia]]\r\n|residence         = [[Germany]]\r\n|citizenship       = \r\n|nationality       = [[Germany|German]]\r\n|ethnicity         = \r\n|fields            = [[Anatomist]], [[surgeon]], [[physiologist]], and [[obstetrician]]\r\n|workplaces        = [[University of Jena]]&lt;br&gt;[[University of Halle]]\r\n|alma_mater        = [[University of Göttingen]]\r\n|doctoral_advisor  = [[Heinrich August Wrisberg]]&lt;br&gt;[[August Gottlieb Richter]]\r\n|academic_advisors = \r\n|doctoral_students = [[Christian Heinrich Bünger]]\r\n|notable_students  = [[Christoph Wilhelm Hufeland]]\r\n|known_for         = \r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          = \r\n|signature         = &lt;!--(filename only)--&gt;\r\n|footnotes         = \r\n}',1266421);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1494357,'scientist','{{Infobox scientist\r\n|name              = Johann Jakob Müller\r\n|image             = ETH-BIB-Müller, Johann Jakob (1846-1875)-Portrait-Portr 06239 (cropped 2).jpg\r\n|image_size        = \r\n|caption           = Johann Jakob Müller (1846–1875)\r\n|birth_date        = {{birth date|1846|03|04|df=y}}\r\n|birth_place       = [[Seen, Switzerland|Seen]], [[Winterthur]], [[Switzerland]]\r\n|death_date        = {{death date and age|1875|01|14|1846|03|04|df=y}}\r\n|death_place       = [[Zurich]], [[Switzerland]]\r\n|residence         = Switzerland\r\n|citizenship       = \r\n|nationality       = Swiss\r\n|ethnicity         = \r\n|fields            = [[Physiologist]] and [[physicist]]\r\n|workplaces        = [[University of Zurich]]\r\n|alma_mater        = [[University of Zurich]]\r\n|doctoral_advisor  = [[Adolf Fick]]\r\n|academic_advisors = \r\n|doctoral_students = [[Alfred Kleiner]]\r\n|notable_students  = \r\n|known_for         = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          =\r\n|signature         = &lt;!--(filename only)--&gt;\r\n|footnotes         = \r\n}',1353204);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1546160,'scientist','{{Infobox scientist\r\n|name              = Franz Ludwig Fick\r\n|image             = Ludwick Fick (1813-1858).png\r\n|image_size        = 200px\r\n|caption           = Franz Ludwig Fick (1813-1858)\r\n|birth_date        = {{birth date|1813|5|18}}\r\n|birth_place       = [[Erlangen]]\r\n|death_date        = {{death date and age|1858|12|31|1813|5|18}}\r\n|death_place       = [[Marburg]]\r\n|residence         = Germany\r\n|citizenship       = \r\n|nationality       = German\r\n|ethnicity         = \r\n|fields            = [[Anatomist]]\r\n|workplaces        = [[University of Marburg]]\r\n|alma_mater        = [[University of Marburg]]\r\n|doctoral_advisor  = [[Christian Heinrich Bünger]]\r\n|academic_advisors =  \r\n|doctoral_students = [[Adolf Fick]]\r\n|notable_students  = [[Carl Ludwig]]\r\n|known_for         = [[Cerebral phantom]]\r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          =\r\n|signature         =  &lt;!--(filename only)--&gt;\r\n|footnotes         = He is the brother of the German physiologist [[Adolf Eugen Fick]] who invented [[tonometry]]. He is the father of the German ophthalmologist [[Adolf Gaston Eugen Fick]] who invented the [[contact lens]].\r\n}',1396307);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1546704,'scientist','{{Infobox scientist\r\n|name              = Christian Bünger\r\n|image             = Christian Heinrich Bünger.jpg\r\n|image_size        = 200px\r\n|caption           = Christian Heinrich Bünger (1782-1842)\r\n|birth_date        = 11 October 1782\r\n|birth_place       = [[Braunschweig]]\r\n|death_date        = {{d-da|8 December 1842|11 October 1782}}\r\n|death_place       = [[Marburg]]\r\n|residence         = [[Germany]]\r\n|citizenship       = \r\n|nationality       = [[Germany|German]]\r\n|ethnicity         = \r\n|fields            = [[Anatomist]] and [[surgeon]]\r\n|workplaces        = [[University of Marburg]]\r\n|alma_mater        = [[University of Helmstedt]]\r\n|doctoral_advisor  = [[Justus Christian Loder]]&lt;br&gt;[[Gottfried Christoph Beireis]]\r\n|academic_advisors = \r\n|doctoral_students = [[Franz Ludwig Fick]]\r\n|notable_students  = \r\n|known_for         = [[Rhinoplasty]]\r\n|author_abbrev_bot = \r\n|author_abbrev_zoo = \r\n|influences        = \r\n|influenced        = \r\n|awards            = \r\n|religion          = \r\n|signature         = &lt;!--(filename only)--&gt;\r\n|footnotes         = \r\n}',1396790);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1553652,'scientist','{{Infobox scientist\r\n|name              = Georg Richter\r\n|image             = Georg-Gottlob-Richter.jpg\r\n|image_size        = 180px\r\n|caption           = Georg Gottlob Richter (1694-1773)\r\n|birth_date        = 4 February 1694\r\n|birth_place       = [[Schneeberg, Saxony|Schneeberg]], [[Electorate of Saxony]]\r\n|death_date        = {{d-da|28 May 1773|4 February 1694}}\r\n|death_place       = [[Göttingen]], [[Duchy of Brunswick-Lüneburg]]\r\n|residence         = [[Germany]]\r\n|citizenship       =\r\n|nationality       = [[Germany|German]]\r\n|ethnicity         =\r\n|fields            = [[Physician]], [[philosopher]], and [[philologist]]\r\n|workplaces        = [[University of Göttingen]]\r\n|alma_mater        = [[University of Kiel]]\r\n|doctoral_advisor  = [[Johann Ludwig Hannemann]]\r\n|academic_advisors = [[Herman Boerhaave]]\r\n|doctoral_students = [[August Gottlieb Richter]]\r\n|notable_students  =\r\n|known_for         =\r\n|author_abbrev_bot =\r\n|author_abbrev_zoo =\r\n|influences        =\r\n|influenced        = [[Heinrich August Wrisberg]]\r\n|awards            =\r\n|religion          =\r\n|signature         =  &lt;!--(filename only)--&gt;\r\n|footnotes         = He is the uncle of [[August Gottlieb Richter]].\r\n}',1401805);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1553664,'scientist','{{Infobox scientist\r\n| name              = Johann Ludwig Hannemann\r\n| image             = &lt;!--(filename only)--&gt;\r\n| image_size        = \r\n| alt               = \r\n| caption           = \r\n| birth_date        = {{birth date|1640|10|25|df=y}}\r\n| birth_place       = [[Amsterdam]], [[Republic of the United Netherlands]]\r\n| death_date        = {{death date and age|1724|10|25|1640|10|25|df=y}}\r\n| death_place       = [[Kiel]], [[Duchy of Holstein|Duchy of Schleswig-Holstein in Gottorp]]\r\n| residence         = \r\n| citizenship       = \r\n| nationality       = \r\n| fields            = [[Physician]] and [[Physicist]]\r\n| workplaces        = [[University of Kiel]]\r\n| alma_mater        = \r\n| doctoral_advisor  = \r\n| academic_advisors = \r\n| doctoral_students = [[Georg Gottlob Richter]]\r\n| notable_students  = \r\n| known_for         = [[Circulatory system|Opposing the theory of circulation]]\r\n| author_abbrev_bot = \r\n| author_abbrev_zoo = \r\n| influences        = \r\n| influenced        = \r\n| awards            = \r\n| signature         = &lt;!--(filename only)--&gt;\r\n| signature_alt     = \r\n| footnotes         = \r\n}',1401817);



INSERT INTO `pages` (`id`,`pageName`) VALUES (7659,'Windows XP');
INSERT INTO `pages` (`id`,`pageName`) VALUES (7676,'Windows 2000');
INSERT INTO `pages` (`id`,`pageName`) VALUES (7705,'Windows 95');
INSERT INTO `pages` (`id`,`pageName`) VALUES (16074,'Windows 98');
INSERT INTO `pages` (`id`,`pageName`) VALUES (16078,'Windows Me');
INSERT INTO `pages` (`id`,`pageName`) VALUES (91159,'Windows 7');
INSERT INTO `pages` (`id`,`pageName`) VALUES (164003,'Windows NT 4.0');
INSERT INTO `pages` (`id`,`pageName`) VALUES (188074,'Windows NT 3.1');
INSERT INTO `pages` (`id`,`pageName`) VALUES (188075,'Windows NT 3.5');
INSERT INTO `pages` (`id`,`pageName`) VALUES (188076,'Windows NT 3.51');
INSERT INTO `pages` (`id`,`pageName`) VALUES (342509,'Windows Vista');
INSERT INTO `pages` (`id`,`pageName`) VALUES (622469,'Buzzle');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473378,'Windows 2.1x');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473406,'Windows 1.0');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473418,'Windows 3.1x');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473426,'Windows 2.0');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473427,'Windows 3.0');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1473429,'MS-DOS');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1667800,'Windows 8');
INSERT INTO `pages` (`id`,`pageName`) VALUES (2347079,'Windows 8.1');
INSERT INTO `pages` (`id`,`pageName`) VALUES (2614279,'Windows 10');

INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Windows 3.11','Windows 3.1x');

INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (8536,'OS version','{{Infobox OS version\r\n| name = Windows XP\r\n| version of = [[Windows NT]]\r\n| logo = Windows logo - 2002.svg\r\n| logo size = 64px\r\n| screenshot = Windows XP Luna.png&lt;!-- Do not change unless you have read &quot;Wikipedia:Software screenshots&quot;! --&gt;\r\n| caption = Screenshot of Windows XP running the [[Windows XP visual styles|Luna visual style]], showing the start menu, taskbar, and [[My Computer]] window\r\n| developer = [[Microsoft]]\r\n| first_release_date = {{Start date and age|2001|8|24}}&lt;ref name=&quot;MS-ready-for-RTM&quot;&gt;{{cite web |title=An Inside Look at the Months-long Process of Getting Windows XP Ready for Release to Manufacturing {{!}} Stories |url=https://news.microsoft.com/2001/08/24/an-Inside-look-at-the-months-long-process-of-getting-windows-xp-ready-for-release-to-manufacturing/ |website=Microsoft Stories |publisher=Microsoft |access-date=June 24, 2018 |date=August 24, 2001}}&lt;/ref&gt;\r\n| first_release_url = \r\n| GA_date = {{Start date and age|2001|10|25}}&lt;ref name=&quot;MS-ready-for-RTM&quot;/&gt;\r\n| GA_url = \r\n| release_version = Service Pack 3 (5.1.2600.5512)\r\n| release_date = {{Start date and age|2008|4|21|df=no|date=August 2011}}&lt;ref name=&quot;TRSP3date&quot;&gt;{{cite web |first1=Gordon |last1=Kelly |title=Windows XP SP3 Release Date(s) Confirmed |url=https://www.trustedreviews.com/news/windows-xp-sp3-release-date-s-confirmed-2737589 |website=Trusted Reviews |publisher=Trusted Reviews |access-date=June 23, 2018 |archive-url=https://web.archive.org/web/20180623230020/http://www.trustedreviews.com/news/windows-xp-sp3-release-date-s-confirmed-2737589/ |archive-date=June 23, 2018 |url-status=dead |date=April 16, 2008 }}&lt;/ref&gt;\r\n| source_model = {{ubl\r\n| [[Proprietary software|Closed-source]]\r\n| [[Source-available software|Source-available]] (through [[Shared Source Initiative]])&lt;ref&gt;{{cite web|url=https://www.microsoft.com/resources/sharedsource/windowslp.mspx|title=Windows Licensing Programs|publisher=[[Microsoft]]|access-date=September 21, 2008|url-status=live|archive-url=https://web.archive.org/web/20081216125724/http://www.microsoft.com/resources/sharedsource/windowslp.mspx|archive-date=December 16, 2008|date=&lt;!--N/A--&gt;|author=&lt;!--N/A--&gt;}}&lt;/ref&gt;\r\n}}\r\n| license = [[Proprietary software|Proprietary]] [[commercial software]]\r\n| supported_platforms = [[IA-32]], [[x86-64]], and [[Itanium]]\r\n| kernel_type = [[Hybrid kernel|Hybrid]] ([[Windows NT|NT]])\r\n| updatemodel = {{plainlist|\r\n* [[Windows Update]]\r\n* [[Windows Server Update Services]] (WSUS)\r\n* [[System Center Configuration Manager]] (SCCM)}}\r\n| support_status = {{Plainlist|\r\n* Mainstream support ended on April 14, 2009&lt;ref name=&quot;lifecycle-db&quot; /&gt;\r\n* Extended support ended on April 8, 2014&lt;ref name=&quot;lifecycle-db&quot; /&gt;\r\n* Exceptions exist, see [[#Support lifecycle|§ Support lifecycle]] for details.\r\n  }}\r\n| preceded_by = [[Windows 2000]] (1999) &lt;br&gt; [[Windows Me]] (2000)\r\n| succeeded_by = [[Windows Vista]] (2006)\r\n| date = January 2009\r\n| discontinued = yes\r\n| website = \r\n}',7659);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (8554,'OS','{{Infobox OS\r\n| name = Windows 2000\r\n| version of = [[Windows NT]]\r\n| logo = Windows 2000 logo.svg\r\n| screenshot = Windows 2000 Server.png\r\n| caption = Screenshot of Windows 2000 Server with \'\'Configure Your Server\'\' component. It is the main hub for configuring Windows 2000 network services.&lt;!-- Windows 2000 Professional is better for this infobox --&gt;\r\n| developer = [[Microsoft]]\r\n| family = [[Microsoft Windows]]\r\n| working state = No longer supported&lt;!-- &quot;Current&quot;, &quot;Discontinued&quot; (operating systems), or &quot;No longer supported&quot; (releases) --&gt;\r\n| source model = {{ubl\r\n| [[Proprietary software|Closed-source]]\r\n| [[Source-available software|Source-available]] (through [[Shared Source Initiative]])&lt;ref name=&quot;SharedSourceInitiative&quot;&gt;{{cite web |url=http://www.microsoft.com/resources/sharedsource/Initiative/Initiative.mspx |title=Microsoft Shared Source Initiative Overview |date=March 2003 |publisher=[[Microsoft]] |archive-url=https://web.archive.org/web/20030402214510/http://www.microsoft.com/resources/sharedsource/Initiative/Initiative.mspx |url-status=dead |archive-date=April 2, 2003 |access-date=February 17, 2017}}&lt;/ref&gt;\r\n}}\r\n| first release date = {{Start date and age|1999|12|15}}&lt;ref name=&quot;RTM&quot;&gt;{{cite web |url=https://news.microsoft.com/1999/12/15/microsoft-releases-windows-2000-to-manufacturing/ |title=Microsoft Releases Windows 2000 to Manufacturing |date=December 15, 1999 |publisher=[[Microsoft]] |work=News Center |access-date=February 14, 2017}}&lt;/ref&gt;\r\n| first release url = \r\n| GA date = {{Start date and age|2000|2|17}}&lt;ref name=&quot;GA&quot;&gt;{{cite web |url=https://news.microsoft.com/2000/02/17/gates-ushers-in-next-generation-of-pc-computing-with-launch-of-windows-2000/ |title=Gates Ushers in Next Generation of PC Computing With Launch of Windows 2000 |date=February 17, 2000 |publisher=[[Microsoft]] |work=News Center |access-date=February 17, 2018}}&lt;/ref&gt;\r\n| GA url = \r\n| release version = Service Pack 4 with Update Rollup (5.0.2195)\r\n| release date = {{Start date and age|2005|9|13}}&lt;ref name=&quot;Windows2000SP4UR1&quot;&gt;{{cite web |url=https://support.microsoft.com/en-us/help/891861/update-rollup-1-for-windows-2000-sp4-and-known-issues |title=Update Rollup 1 for Windows 2000 SP4 and known issues |publisher=[[Microsoft]] |access-date=February 17, 2017|archive-url=https://web.archive.org/web/20170302234843/https://support.microsoft.com/en-us/help/891861/update-rollup-1-for-windows-2000-sp4-and-known-issues|archive-date=March 2, 2017}}&lt;/ref&gt;\r\n| release url = \r\n| marketing target = Business\r\n| programmed in = \r\n| language = &lt;!-- Supported human languages (English, French, Italian, Arabic, ...) --&gt;\r\n| language count = \r\n| language footnote = \r\n| update model = [[Windows Update]]\r\n| package manager = &lt;!-- dpkg, rpm, Windows installer, etc. --&gt;\r\n| supported platforms = [[IA-32]]\r\n| kernel type = [[Hybrid kernel|Hybrid]] ([[Windows NT kernel]])\r\n| ui = [[Windows shell]] ([[Graphical user interface|Graphical]])\r\n| license = [[Proprietary software|Proprietary]] [[commercial software]]\r\n| preceded by = [[Windows NT 4.0]] (1996)\r\n| succeeded by = [[Windows XP]] (2001)&lt;br /&gt;[[Windows Server 2003]] (2003)\r\n| website = {{URL|1=https://web.archive.org/web/20001203133300/http://www.microsoft.com/windows2000/default.asp|2=microsoft.com/windows2000/}}\r\n| support status = Mainstream support ended on June 30, 2005&lt;br /&gt;Extended support ended on July 13, 2010&lt;ref name=&quot;Lifecycle&quot;/&gt;\r\n}',7676);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (8584,'OS','{{Infobox OS\r\n| version of = [[Windows 9x]]\r\n| name = Windows 95\r\n| title = Microsoft Windows 95\r\n| logo = Windows 95 logo.svg\r\n| screenshot = Windows 95 at first run.png\r\n| caption = Windows 95 desktop, showing its icons, [[taskbar]] and welcome screen\r\n| developer = [[Microsoft]]\r\n| website = {{webarchive \r\n|url=https://web.archive.org/web/19980120133242/http://www.microsoft.com/windows95/ |date=January 20, 1998 |title=Windows 95 }}\r\n| source_model = [[Closed source]]\r\n| license = [[Proprietary software|Proprietary]] [[commercial software]]\r\n| supported_platforms = [[IA-32]]\r\n| kernel_type = [[Monolithic kernel|Monolithic]]\r\n| preceded_by = [[Windows 3.11]] (1993)\r\n| succeeded_by = [[Windows 98]] (1998)\r\n| first_release_date = {{Start date and age|1995|8|15}}\r\n| first_release_url = \r\n| GA_date = {{Start date and age|1995|8|24}}&lt;ref name=&quot;With Windows 95\'s Debut, Microsoft Scales Heights of Hype&quot; /&gt;\r\n| release_version = OEM Service Release 2.5 (4.0.950 C)\r\n| release_date = {{Start date and age|1997|11|26}}&lt;ref&gt;{{Cite web |url=http://windowsitpro.com/windows-server/microsoft-release-windows-95-osr-25 |title=Microsoft to release Windows 95 OSR 2.5 |work=Windows IT Pro |publisher=[[Penton (company)|Penton]] |first=Paul |last=Thurrott |author-link=Paul Thurrott |date=October 19, 1997 |access-date=May 27, 2017 |archive-url=https://web.archive.org/web/20170603060906/http://windowsitpro.com/windows-server/microsoft-release-windows-95-osr-25 |archive-date=June 3, 2017 |url-status=dead }}&lt;/ref&gt;\r\n| preview_version = \r\n| preview_date = \r\n| preview_url = \r\n| support_status = Mainstream support ended on December 31, 2000&lt;ref name=Lifecycle /&gt;&lt;br /&gt;Extended support ended on December 31, 2001&lt;ref name=Lifecycle&gt;{{cite web |title=Microsoft Support Lifecycle |url=http://support.microsoft.com/lifecycle/?p1=7864 |publisher=Microsoft |access-date=February 7, 2015 }}&lt;/ref&gt;\r\n}',7705);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (17701,'OS','{{Infobox OS\r\n|name=Microsoft Windows 98\r\n\r\n|version of=[[Windows 9x]]\r\n|logo=[[File:Windows 98 logo.svg|200px]]\r\n|logo_size=\r\n|screenshot=Windows98.png\r\n|caption=Screenshot of Windows 98, displaying its [[desktop metaphor|desktop]], [[taskbar]], and [[Active Desktop|channel bar]]\r\n|developer=[[Microsoft]]\r\n|source_model=[[Closed source]]\r\n|license=[[Commercial software]]\r\n|first_release_date={{start date and age|1998|5|15}}\r\n|first_release_url=http://windowsitpro.com/windows-server/windows-98-release-date-set-june-25\r\n|GA_date={{start date and age|1998|6|25}}\r\n|GA_url=\r\n|kernel_type=[[Monolithic kernel]] ([[MS-DOS|DOS]])\r\n|preceded_by = [[Windows 95]] (1995)\r\n|succeeded_by = [[Windows Me]] (2000)\r\n|release_version=Second Edition (4.10.2222 A)\r\n|release_date={{Start date and age|1999|5|5}}&lt;ref&gt;{{cite web |title=Microsoft Windows 98 Second Edition Released to Manufacturing |url=http://news.microsoft.com/1999/05/05/microsoft-windows-98-second-edition-released-to-manufacturing/ |publisher=Microsoft |access-date=June 18, 2018 |date=May 5, 1999 |archive-url=https://web.archive.org/web/20150811215335/http://news.microsoft.com/1999/05/05/microsoft-windows-98-second-edition-released-to-manufacturing/ |archive-date=August 11, 2015 |url-status=live }}&lt;/ref&gt;\r\n|support_status= Mainstream support ended on June 30, 2002&lt;ref name=&quot;Support&quot;&gt;{{cite web |url=https://support.microsoft.com/en-us/lifecycle?sort=ES&amp;alpha=Windows%2098 |title=Microsoft Support Lifecycle |author=Microsoft |author-link=Microsoft |work=Support |access-date=May 25, 2015 |archive-url=https://web.archive.org/web/20160106223642/https://support.microsoft.com/en-us/lifecycle?sort=ES&amp;alpha=Windows%2098 |archive-date=January 6, 2016 |url-status=live }}&lt;/ref&gt;&lt;br /&gt;Extended support ended on July 11, 2006&lt;ref name=&quot;Support&quot;/&gt;&lt;br/&gt;\r\n|other_articles=\r\n|date=January 2011 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n|website={{webarchive |url=https://web.archive.org/web/19991012111537/http://microsoft.com/windows98/ |date=October 12, 1999 |title=Windows 98 }}\r\n}',16074);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (17705,'OS','{{Infobox OS\r\n| name = Windows Me\r\n| version of = [[Windows 9x]]\r\n| logo = Microsoft Windows Millenium Edition Logo.svg\r\n| screenshot = WindowsME.png &lt;!-- When taking screenshot, please resize your window (e.g. 640×480), disable your extensions and use the default theme. --&gt;\r\n| caption = Windows Me desktop, including taskbar and shortcuts\r\n| developer = [[Microsoft]]\r\n| source_model = [[Closed source]]\r\n| license = [[Proprietary software]]\r\n| kernel_type = [[Monolithic kernel]]\r\n| preceded_by = [[Windows 98|Windows 98/Windows 98 SE]] (1998/1999)\r\n| succeeded_by = [[Windows XP]] (2001)&lt;ref&gt;{{cite book|title=A+ Certification Study Guide|first=Michael|last=Pastore|url=https://books.google.com/books?id=FdjlYvbxnlsC&amp;pg=PA315|year=2003|isbn=978-0-07-222766-6|publisher=McGraw-Hill|page=315|edition=5}}&lt;/ref&gt;\r\n| release_version = 4.90.3000\r\n| RTM_date = {{Start date and age|2000|6|19}}\r\n| GA_date = {{Start date and age|2000|9|14}}&lt;ref name=&quot;winme-availability&quot;&gt;{{cite web|title=Microsoft Announces Immediate Availability Of Windows Millennium Edition (Windows Me)|url=http://news.microsoft.com/2000/09/14/microsoft-announces-immediate-availability-of-windows-millennium-edition-windows-me/|website=News Center|publisher=[[Microsoft]]|date=September 14, 2000}}&lt;/ref&gt;\r\n| release_date = {{Start date and age|2000|9|14}}&lt;ref&gt;{{cite web|title=Windows Me: Microsoft Releases New Operating System Built From the Ground Up for Home PC Users|url=http://news.microsoft.com/2000/09/14/windows-me-microsoft-releases-new-operating-system-built-from-the-ground-up-for-home-pc-users/|website=News Center|publisher=[[Microsoft]]}}&lt;/ref&gt;\r\n| website = {{webarchive \r\n|url=https://web.archive.org/web/20000902091149/http://microsoft.com/windowsMe/ |date=September 2, 2000 |title=Microsoft Windows Me - Home }}\r\n| support_status = Mainstream support ended on December 31, 2003&lt;br /&gt;Extended support ended on July 11, 2006&lt;ref name=supportend&gt;{{cite web|url= https://support.microsoft.com/en-us/lifecycle?p1=6519|title=Microsoft Windows Millennium Edition|work=Microsoft Support Lifecycle|access-date=2016-05-24|publisher=Microsoft}}&lt;/ref&gt;\r\n| date = January 2009&lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',16078);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (97842,'OS version','{{Infobox OS version\r\n| name                = Windows 7\r\n| version of          = [[Windows NT]]\r\n| logo                = Windows logo - 2006.svg\r\n| logo size           = x64px\r\n| screenshot          = Windows 7 SP1 screenshot.png\r\n| caption             = Screenshot of Windows 7, showing its [[Desktop metaphor|desktop]], [[taskbar]], [[Start menu]] and the glass effect of [[Windows Aero]]\r\n| developer           = [[Microsoft]]\r\n| source_model = {{ubl\r\n  | [[Proprietary software|Closed-source]]\r\n  | [[Source-available software|Source-available]] (through [[Shared Source Initiative]])\r\n}}\r\n| license             = [[Proprietary software|Proprietary]] [[commercial software]]\r\n| supported_platforms = [[IA-32]] and [[x86-64]]\r\n| kernel_type         = [[Hybrid kernel|Hybrid]]\r\n| updatemodel         = [[Windows Update]]\r\n| first_release_date  = {{Start date and age|2009|7|22}}&lt;ref&gt;{{cite web|last1=LeBlanc|first1=Brandon|title=Windows 7 Has Been Released to Manufacturing|url=https://blogs.windows.com/windowsexperience/2009/07/22/windows-7-has-been-released-to-manufacturing/|website=Windows Experience Blog|publisher=Microsoft|date=July 22, 2009}}&lt;/ref&gt;\r\n| GA_date             = {{Start date and age|2009|10|22}}&lt;ref&gt;{{cite web|last1=LeBlanc|first1=Brandon|title=Windows 7 Arrives Today With New Offers, New PCs, And More!|url=https://blogs.windows.com/windowsexperience/2009/10/22/windows-7-arrives-today-with-new-offers-new-pcs-and-more/|website=Windows Experience Blog|publisher=Microsoft|date=October 22, 2009}}&lt;/ref&gt;\r\n| release_version     = Service Pack 1 with March 19, 2019 or later update rollup (6.1.7601.24499)\r\n| release_date        = {{Start date and age|2019|3|19}}&lt;ref&gt;{{cite web|url=https://blogs.windows.com/windowsexperience/2011/02/09/announcing-availability-of-windows-7-and-windows-server-2008-r2-sp1/ |title=Announcing Availability of Windows 7 and Windows Server 2008 R2 SP1 | website=Windows Experience Blog|publisher=Microsoft |date=February 9, 2011 |first=Brandon |last=LeBlanc}}&lt;/ref&gt;\r\n| preceded_by         = [[Windows Vista]] (2007)&lt;ref name=&quot;W7reqs&quot;&gt;{{cite web | url = http://www.buzzle.com/articles/windows7-system-requirements.html | website = [[Buzzle]] | title = Windows 7 System Requirements | last = Thadani | first = Rahul | date = September 6, 2010 | access-date = February 27, 2014 | archive-url = https://web.archive.org/web/20170706201237/http://www.buzzle.com/articles/windows7-system-requirements.html | archive-date = July 6, 2017 | url-status = dead }}&lt;/ref&gt;\r\n| succeeded_by        = [[Windows 8]] (2012)\r\n| support_status      = Mainstream support ended on {{End date|2015|01|13}}.&lt;ref name=sup1&gt;{{cite web |url=http://support.microsoft.com/lifecycle/?c2=14019 |title=Microsoft Support Lifecycle | website=Support | publisher=Microsoft | access-date=February 20, 2012}}&lt;/ref&gt;&lt;ref name=sup2&gt;{{cite web |url=http://blogs.windows.com/windows/b/springboard/archive/2013/02/14/windows-7-rtm-end-of-support-is-right-around-the-corner.aspx |title=Windows 7 RTM End Of Support Is Right Around The Corner |work=Springboard Series Blog |publisher=Microsoft |date=February 14, 2013 |access-date=March 27, 2013 |first=Stephen L |last=Rose |archive-url=https://web.archive.org/web/20130502231039/http://blogs.windows.com/windows/b/springboard/archive/2013/02/14/windows-7-rtm-end-of-support-is-right-around-the-corner.aspx |archive-date=May 7, 2015 |url-status=dead}}&lt;/ref&gt;&lt;br/&gt;Extended support ended on {{End date|2020|1|14}}.&lt;ref name=sup1 /&gt;&lt;ref name=sup2 /&gt;&lt;br /&gt;Windows 7 is eligible for the Extended Security Updates service. This service is available via [[OEM]]s, in yearly installments. Security updates are available for the operating system until at most January 10, 2023 only for Professional and Enterprise [[volume licensed]] editions.&lt;ref&gt;{{cite web|url=https://www.microsoft.com/en-us/microsoft-365/blog/2018/09/06/helping-customers-shift-to-a-modern-desktop|title=Helping customers shift to a modern desktop|first=Jared|last=Spataro|work=Microsoft Corporation|date=September 6, 2018|access-date=May 25, 2019}}&lt;/ref&gt;&lt;ref name=ESU&gt;{{Cite web|url=https://support.microsoft.com/en-us/help/4497181/lifecycle-faq-extended-security-updates|title=Lifecycle FAQ-Extended Security Updates|quote=The Extended Security Update (ESU) program is a last resort option for customers who need to run certain legacy Microsoft products past the end of support.|website=support.microsoft.com|access-date=September 21, 2019}}&lt;/ref&gt;&lt;br/&gt;&lt;br/&gt;Exceptions exist, see [[#Support lifecycle|§ Support lifecycle]] for details.&lt;br/&gt;&lt;br/&gt;Installing Service Pack 1 is required for users to receive updates and support after April 9, 2013.&lt;ref name=sup1 /&gt;&lt;ref name=sup2 /&gt;\r\n| website             = hide\r\n| date                = January 2009\r\n}',91159);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (183094,'OS version','{{Infobox OS version\r\n| name = Windows NT 4.0\r\n| version of = [[Windows NT]]\r\n| logo = [[File:Windows NT logo.svg|200px]]\r\n| screenshot = Windows NT 4.0.png\r\n| caption = A screenshot of Windows NT Workstation 4.0 SP6, showing the [[Start menu]] and [[Windows Explorer]]\r\n| developer = Microsoft\r\n| website = {{URL|1=https://web.archive.org/web/20061216033317/http://www.microsoft.com/ntworkstation/default.asp}} (archived December 2006)\r\n| source_model = [[Closed source software|Closed source]]\r\n| license = [[Commercial software|Commercial]] [[proprietary software]]\r\n| supported_platforms = [[IA-32]], [[DEC Alpha|Alpha]], [[MIPS architecture|MIPS]], [[PowerPC]]\r\n| preceded_by = [[Windows NT 3.51]] (1995)\r\n| succeeded_by = [[Windows 2000]] (1999)\r\n| kernel_type = [[Hybrid kernel|Hybrid]]\r\n| first_release_date = {{Start date and age|1996|7|31}}&lt;ref name=&quot;rtmpresspass&quot;&gt;{{cite web|title=Microsoft Announces the Release of Windows NT Workstation 4.0|url=https://news.microsoft.com/1996/07/31/microsoft-announces-the-release-of-windows-nt-workstation-4-0/|website=News Center|publisher=[[Microsoft]]|location=[[Redmond, WA]]|date=July 31, 1996}}&lt;/ref&gt;\r\n| GA_date = {{Start date and age|1996|8|24}}\r\n| release_version = 4.0 SP6a with Post SP6a Security Rollup (Build 1381)\r\n| release_date = {{Start date and age|2001|7|26}}&lt;ref&gt;{{cite web|title=Post-Windows NT 4.0 Service Pack 6a Security Rollup Package (SRP)|url=https://support.microsoft.com/en-us/help/299444/post-windows-nt-4.0-service-pack-6a-security-rollup-package-srp|website=Support|publisher=[[Microsoft]]|date=June 19, 2014}}&lt;/ref&gt;\r\n| preview_version = \r\n| preview_date = \r\n| support_status = {{Infobox\r\n|child=yes\r\n|label1=Embedded\r\n|data1=Mainstream support ended on June 30, 2003&lt;ref name=&quot;EmbSup&quot;/&gt;&lt;br /&gt;Extended support ended on July 11, 2006&lt;ref name=&quot;EmbSup&quot;&gt;{{cite web\r\n|title=Microsoft Support Lifecycle for Windows NT Embedded 4.0\r\n|url=http://support2.microsoft.com/lifecycle/?p1=3185\r\n|publisher=Microsoft |access-date=February 3, 2015}}&lt;/ref&gt;\r\n|label2=Server\r\n|data2=Mainstream support ended on December 31, 2002&lt;ref name=&quot;ServSup&quot;/&gt;&lt;br /&gt;Extended support ended on December 31, 2004&lt;ref name=&quot;ServSup&quot;&gt;{{cite web\r\n|title=Microsoft Support Lifecycle for Windows NT 4.0 Server\r\n|url=http://support.microsoft.com/lifecycle/?LN=en-us&amp;p1=3188&amp;x=12&amp;y=11\r\n|publisher=Microsoft |access-date=September 4, 2009}}&lt;/ref&gt;\r\n|label3=Workstation\r\n|data3=Mainstream support ended on June 30, 2002&lt;ref name=&quot;WorkSup&quot;/&gt;&lt;br /&gt;Extended support ended on June 30, 2004&lt;ref name=&quot;WorkSup&quot;&gt;{{cite web\r\n|title=Microsoft Support Lifecycle for Windows NT 4.0 Workstation\r\n|url=http://support2.microsoft.com/lifecycle/?LN=en-us&amp;p1=3194&amp;x=2&amp;y=14\r\n|publisher=Microsoft |access-date=September 4, 2009}}&lt;/ref&gt;\r\n|label4=Paid Support\r\n|data4=Paid support for all editions ended on December 31, 2006&lt;ref&gt;{{cite web|url=https://www.controleng.com/articles/goodbye-windows-nt/|title=Goodbye Windows NT|first=Dennis|last=Brandl|date=December 1, 2006|access-date=October 21, 2020}}&lt;/ref&gt;}}\r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',164003);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (210812,'OS version','{{Infobox OS version\r\n| name = Windows NT 3.1\r\n| version of = [[Windows NT]]\r\n| logo = Windows logo - 1992.svg\r\n| logo size = 64px\r\n| logo caption = Windows 3.1 Logo\r\n| screenshot = Windows NT 3.1.png\r\n| caption = Screenshot of Windows NT 3.1\r\n| developer = [[Microsoft]]\r\n| website = \r\n| source_model = [[Closed-source]]\r\n| license = [[Commercial software]]\r\n| supported_platforms = [[IA-32]], [[DEC Alpha|Alpha]], [[MIPS architecture|MIPS]]\r\n| preceded_by = [[Windows 3.1x]] (1992)\r\n| succeeded_by = [[Windows NT 3.5]] (1994)\r\n| kernel_type = [[Windows NT kernel]] ([[Hybrid kernel|Hybrid]])\r\n| userland = [[Windows API]]\r\n| ui = Windows Program Manager (Graphical)\r\n| GA_date = {{Start date and age|1993|07|27}}\r\n| GA_url = {{cite web|url=http://blogs.technet.com/b/mrsnrub/archive/2009/08/04/windows-nt-history.aspx|title=Windows NT History|author1=Paul Adams|date=August 4, 2009}}\r\n| release_version = Service Pack 3 (3.1.528)\r\n| release_date = {{Start date and age|1994|10|29}}\r\n| release_url = news:1994Nov7.165711.21637@alw.nih.gov\r\n| preview_version = \r\n| preview_date = \r\n| preview_url = \r\n| support_status = Unsupported as of December 31, 2000&lt;ref name=&quot;mslifecycle&quot; /&gt;&lt;ref name=&quot;mslifecycle2&quot; /&gt;\r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',188074);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (210813,'OS version','{{Infobox OS version\r\n| name = Windows NT 3.5\r\n| version of = [[Windows NT]]\r\n| logo = Windows logo - 1992.svg\r\n| logo size = 64px\r\n| logo caption = Logo of [[Windows 3.1x]]\r\n| screenshot = Windows NT 3.5.png\r\n| caption = Screenshot of Windows NT 3.5\r\n| developer = Microsoft\r\n| website = \r\n| source_model = [[Closed source software|Closed source]]\r\n| license = [[Commercial software|Commercial]] [[proprietary software]]\r\n| supported_platforms = [[IA-32]], [[DEC Alpha|Alpha]], [[MIPS architecture|MIPS]], [[PowerPC]]&lt;ref&gt;https://archive.org/details/NT3.5PPC&lt;/ref&gt;\r\n| preceded_by = [[Windows NT 3.1]] (1993)\r\n| succeeded_by = [[Windows NT 3.51]] (1995)\r\n| kernel_type = [[Hybrid kernel|Hybrid]]\r\n| first_release_date = {{Start date and age|1994|09|21}}&lt;ref name=&quot;Reldata040809&quot;&gt;{{cite web|last1=Adams|first1=Paul|title=Windows NT History|url=https://blogs.technet.microsoft.com/mrsnrub/2009/08/04/windows-nt-history/|website={{not typo|&lt;nowiki&gt;if (ms) blog++;&lt;/nowiki&gt;}}|publisher=[[Microsoft]]|date=4 August 2009|access-date=4 October 2017|archive-date=23 April 2019|archive-url=https://web.archive.org/web/20190423013126/https://blogs.technet.microsoft.com/mrsnrub/2009/08/04/windows-nt-history/|url-status=live}}&lt;/ref&gt;\r\n| release_version = Service Pack 3 (3.5.807)\r\n| release_date = {{Start date and age|1995|06|21}}&lt;ref name=&quot;Reldata040809&quot; /&gt;\r\n| support_status = Unsupported as of December 31, 2001\r\n}',188075);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (210814,'OS version','{{Infobox OS version\r\n| name = Windows NT 3.51\r\n| version of = [[Windows NT]]\r\n| logo = Windows logo - 1992.svg\r\n| logo size = 64px\r\n| logo caption = \r\n| screenshot = Windows NT 3.51.png\r\n| caption = \r\n| developer = Microsoft\r\n| website = \r\n| source_model = [[Closed source software|Closed source]]\r\n| license = [[Commercial software|Commercial]] [[proprietary software]]\r\n| supported_platforms = [[IA-32]], [[DEC Alpha|Alpha]], [[MIPS architecture|MIPS]], [[PowerPC]]\r\n| kernel_type = [[Hybrid kernel|Hybrid]]\r\n| preceded_by = [[Windows NT 3.5]] (1994)\r\n| succeeded_by = [[Windows NT 4.0]] (1996)\r\n| first_release_date = \r\n| first_release_url = \r\n| GA_date = {{Start date and age|1995|5|30}}&lt;ref name=&quot;reldates&quot; /&gt;\r\n| release_version = 3.51 (Build 1057: Service Pack 5)\r\n| release_date = {{Start date and age|1996|9|19}}&lt;ref name=&quot;reldates&quot;&gt;{{cite web|last1=Adams|first1=Paul|title=Windows NT History|url=https://blogs.technet.microsoft.com/mrsnrub/2009/08/04/windows-nt-history/|website={{notatypo|if (ms) blog++;}}|publisher=[[Microsoft]]|date=August 4, 2009}}&lt;/ref&gt;\r\n| support_status = {{Infobox\r\n |child=yes\r\n |label1=Server\r\n |data1=Mainstream support ended on September 30, 2000&lt;ref name=&quot;NT3.51Sup&quot;/&gt;&lt;br /&gt;Extended support ended on September 30, 2002&lt;ref name=&quot;NT3.51Sup&quot;&gt;{{cite web\r\n  |title=Microsoft Support Lifecycle for Windows NT 3.51\r\n  |url=https://support.microsoft.com/en-us/lifecycle/search?alpha=windows%20NT%203.51\r\n  |publisher=Microsoft |access-date=January 15, 2019}}&lt;/ref&gt;\r\n |label2=Workstation\r\n |data2=Mainstream support ended on December 31, 2000&lt;ref name=&quot;NT3.51Sup&quot;/&gt;&lt;br /&gt;Extended support ended on December 31, 2001&lt;ref name=&quot;NT3.51Sup&quot;/&gt;&lt;br /&gt;\r\n }}\r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',188076);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (383691,'OS version','{{Infobox OS version\r\n| name = Windows Vista\r\n| version of = [[Windows NT]]\r\n| logo = Windows logo - 2006.svg\r\n| logo size = 64px\r\n| screenshot = Windows Vista.png\r\n| caption = Screenshot of Windows Vista Ultimate, showing its [[Desktop metaphor|desktop]], [[taskbar]], [[Start menu]], [[Windows Sidebar]], Welcome Center and glass effects of [[Windows Aero]]\r\n| developer = [[Microsoft]]\r\n| source_model = {{ubl\r\n  | [[Proprietary software|Closed-source]]\r\n  | [[Source-available software|Source-available]] (through [[Shared Source Initiative]])&lt;ref&gt;{{cite web|url=https://www.microsoft.com/resources/sharedsource/windowslp.mspx|title=Windows Licensing Programs|publisher=[[Microsoft]]|access-date=September 21, 2008|date=June 2011|archive-url=https://web.archive.org/web/20081216125724/http://www.microsoft.com/resources/sharedsource/windowslp.mspx |archive-date=December 16, 2008 }}&lt;/ref&gt;\r\n}}\r\n| license = [[Proprietary software|Proprietary]] [[commercial software]]\r\n| supported_platforms = [[IA-32]] and [[x86-64]]\r\n| preceded_by = [[Windows XP]] (2001)\r\n| succeeded_by = [[Windows 7]] (2009)\r\n| kernel_type = [[Hybrid kernel|Hybrid]] ([[Windows NT|NT]])\r\n| updatemodel = {{Plainlist|\r\n* [[Windows Update]] \r\n* [[Windows Server Update Services]] (WSUS) \r\n* [[System Center Configuration Manager]] (SCCM)\r\n}}\r\n| RTM_date = {{start date and age|2006|11|8}}&lt;ref name=&quot;WindowsVistaRTM&quot;&gt;{{cite web |url=http://windowsvistablog.com/blogs/windowsvista/archive/2006/11/08/windows-vista-releases-to-manufacturing.aspx |title=Windows Vista releases to manufacturing |last=White |first=Nick |date=November 8, 2006 |publisher=[[Microsoft]] |work=Windows Vista Team Blog |archive-url=https://web.archive.org/web/20050809150421/http://www.windowsvista.com/ |archive-date=August 9, 2005 |access-date=January 2, 2017}}&lt;/ref&gt;\r\n| GA_date = {{start date and age|2007|1|30}}&lt;ref name=&quot;WindowsVistaGA&quot;&gt;{{cite web |url=https://news.microsoft.com/2007/01/29/microsoft-launches-windows-vista-and-microsoft-office-2007-to-consumers-worldwide/ |title =Microsoft Launches Windows Vista and the 2007 Office System to Consumers |date=January 29, 2007 |publisher=[[Microsoft]] |work=News Center |access-date=January 2, 2017}}&lt;/ref&gt;\r\n| release_version = Service Pack 2 (6.0.6002)&lt;ref&gt;[https://www.gaijin.at/en/infos/windows-version-numbers Windows Version Numbers - Version and build numbers of Microsoft Windows]&lt;/ref&gt;\r\n| release_date = {{Start date and age|2009|5|26}}&lt;ref name=SP2-GA /&gt;\r\n| support_status = Mainstream support ended on April 10, 2012&lt;br /&gt;Extended support ended on April 11, 2017&lt;ref name=&quot;WindowsVistaSupportPolicy&quot;&gt;{{cite web |url=https://support.microsoft.com/en-us/lifecycle/search/?sort=PN&amp;alpha=Windows%20Vista&amp;Filter=FilterNO |title=Windows Vista Lifecycle Policy |publisher=[[Microsoft]] | access-date=January 2, 2017 }}&lt;/ref&gt;\r\n| other_articles = \r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n| discontinued = yes\r\n}',342509);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (687490,'Company','{{Infobox Company\r\n| logo             =\r\n| type     = Defunct\r\n| foundation       = September 2000\r\n| dissolved = March 2001\r\n| location_city    = [[Sydney]], [[New South Wales]]\r\n| location_country = [[Australia]]\r\n| area_served      = [[Australia]]\r\n| key_people       = [[Thomas Qureshi]], [[Chief Executive Officer]]\r\n| num_employees    =\r\n| industry         = [[Retail]]\r\n| divisions        =\r\n| revenue          =\r\n| net_income       =\r\n| homepage         =\r\n}',622469);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634512,'OS version','{{Infobox OS version\r\n| name               = Windows 2.1x\r\n| version of         = [[Microsoft Windows]]\r\n|logo                = Windows logo and wordmark - 1985.svg\r\n| screenshot         = Windows 2.1.png\r\n| caption            = Screenshot of Windows 2.1\r\n| developer          = Microsoft\r\n| website            =\r\n| source_model       = [[Closed source software|Closed source]]\r\n| license            = [[Commercial software]]\r\n| kernel_type        =\r\n| preceded_by        = [[Windows 2.0]] (1987)\r\n| succeeded_by       = [[Windows 3.0]] (1990)\r\n| first_release_date = {{Start date and age|1988|5|27|mf=yes}}\r\n| first_release_url  = http://support.microsoft.com/kb/32905\r\n| release_version    = 2.11\r\n| release_date       = {{Start date and age|1989|3|13|mf=yes}}\r\n| release_url        = {{cite web|url=https://support.microsoft.com/en-us/help/32905/windows-version-history|title=Windows Version History|website=Support|publisher=[[Microsoft]]|date=July 19, 2005}}\r\n| preview_version    =\r\n| preview_date       =\r\n| preview_url        =\r\n| support_status     = Unsupported as of December 31, 2001\r\n| date               = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',1473378);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634540,'OS version','{{Infobox OS version\r\n| name = Windows 1.0\r\n| version of = [[Microsoft Windows]]\r\n| logo = Windows logo and wordmark  - 1985.svg\r\n| screenshot = Windows1.0.png\r\n| caption = Screenshot of Microsoft Windows 1.01\r\n| developer = [[Microsoft]]\r\n| source_model = [[Closed source software|Closed source]]\r\n| license = [[Commercial software]]\r\n| language = English\r\n| kernel_type = \r\n| preceded_by = [[MS-DOS]] (1981-2000)\r\n| succeeded_by = [[Windows 2.0]] (1987)\r\n| first_release_date = {{Start date and age|1985|11|20|mf=yes}}&lt;ref name=microsoft-obs /&gt;\r\n| release_version = 1.04\r\n| release_date = {{Start date and age|1987|4}}&lt;ref name=&quot;microsoft-obs&quot; /&gt;\r\n| support_status = Unsupported as of December 31, 2001&lt;ref name=&quot;obsolete-prod&quot; /&gt;\r\n| Working-status = Historic\r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',1473406);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634552,'OS version','{{Infobox OS version\r\n| name = Windows 3.1x\r\n| version of = [[Microsoft Windows]]\r\n| logo = Windows logo  - 1992.svg\r\n| logo size = 64px\r\n| logo caption = \r\n| screenshot = Windows 3.11 workspace.png\r\n| caption = Screenshot of Windows for Workgroups 3.11\r\n| developer = Microsoft\r\n| website = \r\n| source_model = [[Closed source software|Closed source]]\r\n| license = [[Commercial software]]\r\n| kernel_type = \r\n| preceded_by = [[Windows 3.0]] (1990)\r\n| succeeded_by = [[Windows 95]] (1995) &lt;br/&gt; [[Windows NT 3.1]] (1993)\r\n| first_release_date = {{Start date and age|1992|4|6|mf=yes}}\r\n| first_release_url = http://support.microsoft.com/kb/32905\r\n| release_version = 3.11\r\n| release_date = {{Start date and age|1993|12|31|mf=yes}}\r\n| release_url = {{cite web|url=https://support.microsoft.com/en-us/help/32905/windows-version-history|title=Windows Version History|date=July 14, 2005|website=Support|publisher=[[Microsoft]]}}\r\n| preview_version = \r\n| preview_date = \r\n| preview_url = \r\n| stats = Historic\r\n| support_status = Unsupported as of December 31, 2001\r\n| date = January 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',1473418);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634560,'OS version','{{Infobox OS version\r\n|name=Windows 2.0\r\n|version of=[[Microsoft Windows]]\r\n|logo=Windows logo and wordmark - 1985.svg\r\n|screenshot=Windows 2.0.png\r\n|caption=Screenshot of Windows 2.0\r\n|developer=[[Microsoft]]\r\n|source_model=[[Closed source software|Closed source]]\r\n|license=[[Commercial software]]\r\n|kernel_type=\r\n|preceded_by=[[Windows 1.0]] (1985)\r\n|succeeded_by=[[Windows 2.1x]] (1988)\r\n|first_release_date= {{Start date and age|1987|December|9|mf=30}}\r\n|first_release_url=http://windows.microsoft.com/en-US/windows/history\r\n| release_version    = 2.03\r\n| release_date       = {{Start date and age|1987|12|9|mf=yes}}\r\n| release_url        = \r\n|support_status=Unsupported as of December 31, 2001\r\n|date=November 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',1473426);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634561,'OS','{{Infobox OS\r\n| name               = Windows 3.0\r\n| logo               = Windows logo and wordmark - 1985.svg&lt;!-- This is the official Windows logo that had been used until Windows 3.1 in 1992. Source: https://www.theverge.com/2012/7/4/3136851/windows-logo-backwards-evolution --&gt;\r\n| version of         = [[Microsoft Windows]]\r\n| screenshot         = Windows 3.0 workspace.png\r\n| caption            = Screenshot of Windows 3.0 showing the new Program Manager, File Manager, and icon-based interface\r\n| developer          = [[Microsoft]]\r\n| source_model       = [[Closed source software|Closed source]]\r\n| license            = [[Commercial software]]\r\n| kernel_type        =\r\n| preceded_by        = [[Windows 2.1x]] (1988)\r\n| succeeded_by       = [[Windows 3.1x]] (1992)\r\n| first_release_date = {{Start date and age|1990|5|22|mf=yes}}\r\n| first_release_url  = http://support.microsoft.com/kb/32905\r\n| release_version    = 3.00a with Multimedia Extensions\r\n| release_date       = {{Start date and age|1991|10|20|mf=yes}}&lt;ref name=Release&gt;{{cite web|title=Windows Version History|url=https://support.microsoft.com/en-us/help/32905/windows-version-history|date=July 19, 2005|access-date=January 21, 2017|website=Support|publisher=[[Microsoft]]}}&lt;/ref&gt;\r\n| preview_version    =\r\n| preview_date       =\r\n| preview_url        =\r\n| support_status     = Unsupported as of December 31, 2001\r\n| date               = November 2009 &lt;!-- approximate date of template insertion for dating hidden maintenance categories --&gt;\r\n}',1473427);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1634563,'OS','{{Infobox OS\r\n| logo = Msdos-icon.png\r\n| logo_size = 64px\r\n| screenshot = [[File:StartingMsdos.png]]\r\n| caption = An example of the Microsoft MS-DOS command-line interface, showing that the current directory is the root of drive C\r\n| developer = [[Microsoft]]\r\n| family = [[DOS]]\r\n| released = {{start date and age|1981|8|12}}&lt;ref name=&quot;Linfo&quot;&gt;{{cite web |title=MS-DOS: A Brief Introduction |work=The Linux Information Project |url=http://www.linfo.org/ms-dos.html |access-date=December 14, 2017 |url-status=live |archive-url=https://web.archive.org/web/20171214120951/http://www.linfo.org/ms-dos.html |archive-date=December 14, 2017}}&lt;/ref&gt;\r\n| discontinued = yes\r\n| ui = [[Command-line interface|Command-line]] ([[COMMAND.COM]]), [[text user interface|text]] ([[DOS Shell]])\r\n| license = [[Proprietary software|Proprietary]]&lt;br /&gt;[[MIT License]] (v1.25 &amp; v2.0)&lt;ref name=&quot;mit-relicense&quot;&gt;{{cite web |last1=Turner |first1=Rich |title=Re-Open-Sourcing MS-DOS 1.25 and 2.0 |url=https://blogs.msdn.microsoft.com/commandline/2018/09/28/re-open-sourcing-ms-dos-1-25-and-2-0/ |website=Windows Command Line Tools For Developers |access-date=29 September 2018}}&lt;/ref&gt;\r\n| website = [https://web.archive.org/web/20160309064627/https://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/windows_dos_overview.mspx?mfr=true Internet Archive MS-DOS overview]\r\n| source_model = [[Closed source]]; [[Open-source software|open source]] for select versions since 2018&lt;ref name=&quot;mit-relicense&quot;/&gt;\r\n| kernel_type = [[Monolithic kernel|Monolithic]]\r\n| succeeded_by = [[Windows NT]] (as of [[Windows XP]])\r\n| supported_platforms = [[x86]]\r\n| latest_release_version = 8.0 ([[Windows Me]])\r\n| latest_release_date = {{release date and age|2000|9|14}}\r\n| programmed_in = [[x86 assembly language|x86 assembly]],&lt;ref&gt;{{cite web |title=An Inside Look at MS-DOS |author-first=Tim |author-last=Paterson |author-link=Tim Paterson |work=[[Seattle Computer Products]] |location=Seattle |date=June 1983 |url=http://www.patersontech.com/dos/byte%E2%80%93inside-look.aspx |url-status=dead |archive-url=https://web.archive.org/web/20170506152047/http://www.patersontech.com/dos/byte%E2%80%93inside-look.aspx |archive-date=May 6, 2017 |access-date=April 16, 2016 }}&lt;/ref&gt; later versions also used [[C (programming language)|C]]&lt;!-- http://answers.google.com/answers/threadview?id=197874 --&gt;\r\n| updatemodel = Re-installation\r\n| package_manager = None\r\n| working_state = Preserved pieces exist in 32-bit Windows\r\n| support_status = MS-DOS 6.0 unsupported as of December 31, 2001&lt;ref&gt;{{cite web |title=Obsolete Products Life-Cycle Policy |date=July 30, 2009 |website=Support |publisher=[[Microsoft]] |url=http://support.microsoft.com/gp/lifeobsoleteproducts |access-date=April 6, 2010 |url-status=dead |archive-url=https://web.archive.org/web/20060706200752/http://support.microsoft.com/gp/lifeobsoleteproducts/ |archive-date=July 6, 2006}}&lt;/ref&gt;\r\n}',1473429);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1847240,'OS','{{Infobox OS\r\n| name = Windows 8\r\n| logo = Windows 8 logo and wordmark.svg\r\n| screenshot = Windows 8 Start Screen.png\r\n| caption = Windows 8 [[Start menu#Third version|Start screen]], showing default live tile arrangement.\r\n| version of = [[Windows NT]]\r\n| developer = Microsoft\r\n| license = [[Trialware]], [[Microsoft Software Assurance]], [[msdn subscription|MSDN subscription]], [[DreamSpark]]\r\n| website = {{URL|1=https://web.archive.org/web/20121231172223/http://windows.microsoft.com/en-US/windows-8/meet?ocid=GA8_O_WOL_Hero_Home_8Here_Null|2=windows.microsoft.com/en-US/windows-8/meet}} (archived at [[Wayback Machine]])\r\n| source_model = {{ubl\r\n| [[Proprietary software|Closed-source]]\r\n| [[Source-available software|Source-available]] (through [[Shared Source Initiative]])&lt;ref&gt;{{cite web|title=Shared Source Initiative|url=https://www.microsoft.com/en-us/sharedsource/default.aspx|work=microsoft.com|publisher=[[Microsoft]] |access-date=October 28, 2013}}&lt;/ref&gt;\r\n}}\r\n| supported_platforms = [[IA-32]], [[x64]]\r\n| kernel_type = [[Hybrid kernel|Hybrid]]\r\n| updatemodel = [[Windows Update]], [[Windows Store]], [[Windows Server Update Services]]\r\n| discontinued = yes\r\n| first_release_date = {{start date and age|2012|8|1}}&lt;ref&gt;[http://windowsteamblog.com/windows/b/bloggingwindows/archive/2012/08/01/windows-8-has-reached-the-rtm-milestone.aspx Windows 8 has reached the RM milestone]. August 1, 2012&lt;/ref&gt;\r\n| first_release_url = \r\n| GA_date = {{start date and age|2012|10|26}}&lt;ref&gt;{{cite web|url=http://blogs.windows.com/windows/b/bloggingwindows/archive/2012/10/25/windows-reimagined-windows8.aspx|archive-url=https://web.archive.org/web/20121027202517/http://blogs.windows.com/windows/b/bloggingwindows/archive/2012/10/25/windows-reimagined-windows8.aspx|url-status=dead|archive-date=2012-10-27|title=Windows reimagined. #Windows8|work=Blogging Windows}}&lt;/ref&gt;\r\n| GA_url = \r\n| release_version = 6.2 (Build 9200)\r\n| release_date = {{Start date and age|2012|8|1}}\r\n| release_url = \r\n| preview_version = \r\n| preview_url = \r\n| preceded_by = [[Windows 7]] (2009)\r\n| succeeded_by = [[Windows 8.1]] (2013)\r\n| support_status = \'\'All editions except [[Windows Embedded 8 Standard]]:\'\' {{Plainlist|\r\n* Unsupported as of January 12, 2016\r\n* Users must install the [[Windows 8.1]] update for their edition in order to continue to receive updates and support.&lt;ref name=maximumpc-81support&gt;{{cite web|title=Microsoft Support Lifecycle, Windows 8|url=https://support.microsoft.com/lifecycle/?c2=16796|work=Microsoft|access-date=January 8, 2014}}&lt;/ref&gt;\r\n}}&lt;br /&gt;\r\n\'\'[[Windows Embedded 8 Standard]]:\'\' {{Plainlist|\r\n* Mainstream support ended on July 10, 2018&lt;ref name=embedded-life&gt;{{cite web|title=Product lifecycle Windows 8 Embedded|url=https://support.microsoft.com/en-us/lifecycle/search?alpha=windows%208%20embedded |access-date=August 21, 2020|website=support.microsoft.com}}&lt;/ref&gt;\r\n* Extended support until July 11, 2023&lt;ref name=embedded-life/&gt;\r\n* [[Windows 8.1]] was never released for this edition.&lt;ref name=embedded-life/&gt;\r\n}}\r\n}',1667800);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (2594293,'OS version','{{Infobox OS version\r\n| name = Windows 8.1\r\n| version of = [[Windows NT]]\r\n| logo = Windows 8 logo and wordmark.svg&lt;!--There is NO AUTHENTIC OFFICIAL LOGO of Windows 8.1!--&gt;\r\n| screenshot = Windows 8.1 Pro Default Start Screen.png\r\n| caption = Default Windows 8.1 [[start menu|start screen]].\r\n| developer = [[Microsoft]]\r\n| family = [[Microsoft Windows]]\r\n| source_model = {{ubl\r\n  | [[Proprietary software|Closed-source]]\r\n  | [[Source-available software|Source-available]] (through [[Shared Source Initiative]])\r\n}}\r\n| license = [[Trialware]], [[Microsoft Software Assurance]], [[msdn subscription|MSDN subscription]], [[Microsoft Imagine]]\r\n| website = {{URL|https://www.microsoft.com/windows}}\r\n| supported_platforms = [[IA-32]], [[x64]]\r\n| kernel_type = [[Hybrid kernel|Hybrid]]\r\n| updatemodel = [[Windows Update]], [[Windows Store]], [[Windows Server Update Services]]\r\n| RTM_date = {{Start date and age|2013|8|27}}&lt;ref&gt;{{cite web |last1=Bott |first1=Ed |title=Why is Microsoft keeping the final release of Windows 8.1 secret? |url=http://www.zdnet.com/article/why-is-microsoft-keeping-the-final-release-of-windows-8-1-secret/ |website=[[ZDNet]] |publisher=[[CBS Interactive]] |date=28 August 2013}}&lt;/ref&gt;\r\n| GA_date = {{Start date and age|2013|10|17}}&lt;ref&gt;{{cite web |last1=LeBlanc |first1=Brandon |title=Windows 8.1 now available! |url=https://blogs.windows.com/windowsexperience/2013/10/17/windows-8-1-now-available/ |website=Windows Experience Blog |publisher=Microsoft |date=17 October 2013}}&lt;/ref&gt;\r\n| release_version = 6.3.9600\r\n| release_date = {{Start date and age|2014|4|8}}&lt;ref&gt;{{cite web |url=https://blogs.windows.com/windowsexperience/2014/04/08/why-i-love-todays-windows-8-1-update/ |title=Why I love today\'s Windows 8.1 Update |work=Windows Experience Blog |date=April 8, 2014}}&lt;/ref&gt;\r\n| preview_version = \r\n| preceded_by = [[Windows 8]] (2012)\r\n| succeeded_by = [[Windows 10]] (2015)\r\n| support_status = \'\'All editions except [[Windows Embedded 8.1 Industry]]:\'\' {{Plainlist|\r\n* Mainstream support ended on January 9, 2018\r\n* Extended support until January 10, 2023\r\n* With the exception of [[Windows Embedded 8 Standard]] users, upgrading to a compatible edition of Windows 8.1 is required for all [[Windows 8]] users to receive updates and support after January 12, 2016&lt;ref name=maximumpc-81support&gt;{{cite web |title=Microsoft Support Lifecycle, Windows 8 |url=https://support.microsoft.com/lifecycle/?c2=16796 |work=Microsoft |access-date=January 8, 2014}}&lt;/ref&gt;\r\n  }}&lt;br /&gt;\r\n\'\'[[Windows Embedded 8.1 Industry]]:\'\' {{Plainlist|\r\n* Mainstream support ended on July 10, 2018&lt;ref name=embedded-life&gt;{{cite web|title=Product lifecycle Windows 8.1 Industry|url=https://support.microsoft.com/en-us/lifecycle/search?alpha=windows%208.1%20industry |access-date=August 21, 2020|website=support.microsoft.com}}&lt;/ref&gt;\r\n* Extended support until July 11, 2023&lt;ref name=embedded-life/&gt;\r\n  }}\r\n}',2347079);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (2895899,'OS','{{Infobox OS\r\n| name = Windows 10\r\n| logo = Windows 10 Logo.svg\r\n| screenshot = Windows 10 Home Version 20H2 Desktop.png\r\n| caption = Screenshot of Windows 10 version 20H2, showing the [[Start Menu]] and [[Action Center]] in light theme\r\n| version of = [[Windows NT]]\r\n| developer = [[Microsoft]]\r\n| family = [[Microsoft Windows]]\r\n| programmed in = {{ubl|[[C (programming language)|C]], [[C++]], [[C Sharp (programming language)|C#]]}}\r\n| source_model = {{ubl\r\n  | [[Proprietary software|Closed-source]]\r\n  | [[Source-available software|Source-available]] (through [[Shared Source Initiative]]) \r\n  | [[open-source software|some components open source]]&lt;ref&gt;{{Cite web|url=https://www.zdnet.com/article/programming-language-tools-windows-gets-versatile-new-open-source-terminal/ |title=Programming language tools: Windows gets versatile new open-source terminal |publisher=[[ZDNet]] |access-date=August 31, 2020}}&lt;/ref&gt;&lt;ref&gt;{{Cite web|url=https://www.zdnet.com/article/microsoft-is-open-sourcing-windows-calculator-on-github/ |title=Microsoft is open-sourcing Windows Calculator on GitHub |publisher=[[ZDNet]] |access-date=August 31, 2020}}&lt;/ref&gt;&lt;ref&gt;{{Cite web|url=https://github.com/Microsoft/Windows-Driver-Frameworks |title=GitHub - microsoft/Windows-Driver-Frameworks |publisher=[[Microsoft]] |access-date=August 31, 2020}}&lt;/ref&gt;&lt;ref&gt;{{Cite web|url=https://github.com/dotnet/winforms |title=windows forms |publisher=[[Microsoft]] |access-date=August 31, 2020}}&lt;/ref&gt;\r\n}}\r\n| RTM date = {{Start date and age|2015|7|15}}\r\n| GA date = {{Start date and age|2015|7|29}}\r\n| marketing target = [[Personal computing]]\r\n| language count = 110\r\n| language footnote = &lt;ref&gt;{{Cite web |url=https://www.microsoft.com/en-us/store/collections/localexperiencepacks?cat0=devices&amp;rtc=1 |title=Local Experience Packs - Microsoft Store |website=microsoft.com |publisher=[[Microsoft]]}}&lt;/ref&gt;&lt;ref&gt;{{Cite web |url=https://www.microsoft.com/Licensing/servicecenter/default.aspx |title=Microsoft Volume Licensing Center |website=microsoft.com |publisher=[[Microsoft]] |url-access=subscription}}&lt;/ref&gt;\r\n(Specific language packs included on the device depend on the mobile operator (for cellular connected devices) or device manufacturer. Additional language packs are available for download on the Microsoft Store, pursuant to manufacturer and carrier support.)\r\n| language = Afrikaans, Albanian, Amharic, Arabic, Armenian, Assamese, Azerbaijani, Bangla (Bangladesh), Bangla (India), Basque, Belarusian, Bosnian, Bulgarian, Catalan, Central Kurdish, Cherokee, Chinese (Simplified), Chinese (Traditional), Croatian, Czech, Danish, Dari - Persian (Afghanistan), Dutch, German, Greek, English (United Kingdom), English (United States), Estonian, Finnish,\r\nFilipino, French (Canada), French (France), Galician, Georgian, Gujarati, Hausa, Hebrew, Hindi, Hungarian, Icelandic, Igbo, Indonesian, Irish, Italian, Japanese, Kannada, Kazakh, Khmer, K\'iche\', Kinyarwanda, Konkani, Korean, Kyrgyz, Lao, Latvian, Lithuanian, Luxembourgish, Macedonian, Malay, Malayalam, Maltese, Maori, Marathi, Mongolian, Nepali, Northern Sotho, Norwegian Bokmål, Norwegian Nynorsk, Odia, Persian (Iran), Punjabi (Arabic), Punjabi (Gurmukhi), Polish, Portuguese (Brazil), Portuguese (Portugal), Quechua, Romanian, Russian, Scottish Gaelic, Serbian (Cyrillic, Bosnia &amp; Herzegovina), Serbian (Cyrillic, Serbia), Serbian (Latin), Sindhi (Arabic), Sinhala, Slovak, Slovenian, Spanish (Spain), Spanish (Mexico), Swahili, Swedish, Tajik, Tamil, Tatar, Telugu, Thai, Tigrinya, Tswana, Turkish, Turkmen, Ukrainian, Urdu, Uyghur, Uzbek, Valencian, Vietnamese, Welsh, Wolof, Xhosa, Yoruba, Zulu\r\n| update model = {{Plainlist|\r\n* [[Windows Update]]\r\n* [[Microsoft Store (digital)|Microsoft Store]]\r\n* [[Windows Server Update Services]] (WSUS)\r\n}}\r\n| supported platforms = [[IA-32]], [[x86-64]], [[ARMv7]],&lt;ref&gt;{{Cite web|url=https://docs.microsoft.com/en-us/windows/iot-core/learn-about-hardware/socsandcustomboards|title=SoCs and Custom Boards for Windows 10 IoT Core - Windows IoT|last=saraclay|website=docs.microsoft.com|language=en-us|access-date=June 13, 2019}}&lt;/ref&gt;&lt;ref&gt;{{Cite web|title=.NET Core 3.0 - Supported OS versions|date=June 5, 2019|url=https://github.com/dotnet/core/blob/master/release-notes/3.0/3.0-supported-os.md|publisher=.NET Foundation|access-date=June 13, 2019}}&lt;/ref&gt; [[ARM64]]&lt;ref&gt;{{Cite web|url=https://www.thurrott.com/windows/windows-10/192221/microsoft-opens-its-store-to-64-bit-arm-apps|title=Microsoft Opens Its Store to 64-Bit ARM Apps|last=Thurrottfeed|date=November 16, 2018|website=Thurrott.com|language=en-US|access-date=June 13, 2019}}&lt;/ref&gt;&lt;ref&gt;{{cite web|title=HP, Asus announce first Windows 10 ARM PCs: 20 hour battery life, gigabit LTE|url=https://arstechnica.com/gadgets/2017/12/hp-asus-announce-first-windows-10-arm-pcs-20-hour-battery-life-gigabit-lte/|website=[[Ars Technica]]|publisher=[[Condé Nast]]|date=December 5, 2017}}&lt;/ref&gt;&lt;ref&gt;{{cite web|title=2017-10 Cumulative Update for Windows 10 Version 1709 for ARM64-based Systems (KB4043961)|url=https://www.catalog.update.microsoft.com/ScopedViewInline.aspx?updateid=14020894-b1fd-4964-b4de-96816eaad2da|website=Microsoft Update Catalog|publisher=[[Microsoft]]|date=October 16, 2017}}&lt;/ref&gt;\r\n| kernel type = [[Hybrid kernel|Hybrid]] (i.e. [[Windows NT kernel]]; and since May 2020 Update, additionally includes the [[Linux kernel]])\r\n| userland = [[Windows API]]&lt;br /&gt;[[.NET Framework]]&lt;br /&gt;[[Universal Windows Platform]]&lt;br /&gt;[[Windows Subsystem for Linux]]\r\n| ui = [[Windows shell]] ([[Graphical user interface|Graphical]])\r\n| license = [[Trialware]],&lt;ref&gt;{{cite web|title=Windows 10|url=https://www.microsoft.com/en-us/evalcenter/evaluate-windows-10-enterprise|website=Windows Evaluations|publisher=[[Microsoft]]|access-date=November 27, 2015}}&lt;/ref&gt; [[Microsoft Software Assurance]], [[Microsoft Developer Network#Software subscriptions|MSDN subscription]], [[Microsoft Imagine]]\r\n| preceded by = [[Windows 8.1]] (2013)\r\n| succeeded by = \r\n| support status = \'\'All editions except LTSB and LTSC:\'\' {{Plainlist|\r\n* Versions 1803, 1809, 1909, 2004 &amp; 20H2 are supported.&lt;ref&gt;{{cite web|title=Windows lifecycle fact sheet 10|url=https://support.microsoft.com/en-ca/help/13853/windows-lifecycle-fact-sheet|website=Windows Support|publisher=[[Microsoft]]|date=November 2019}}&lt;/ref&gt;\r\n* A device may not be able to receive updates if the device hardware is incompatible, lacks current drivers or otherwise outside of the OEM period. Not all features in an update will work on the devices. A device also needs to have the latest update to remain supported.&lt;ref&gt;{{cite web|last1=Bott|first1=Ed|author-link1=Ed Bott|title=Microsoft commits to 10-year support lifecycle for Windows 10|url=http://www.zdnet.com/article/microsoft-commits-to-10-year-support-lifecycle-for-windows-10/|website=[[ZDNet]]|publisher=[[CBS Interactive]]|date=July 17, 2015}}&lt;/ref&gt;\r\n  }}\r\n\'\'2015 LTSB:\'\' {{Plainlist|\r\n* Mainstream support ended on October 13, 2020\r\n* Extended support until October 14, 2025&lt;ref name=sup /&gt;\r\n  }}\r\n\'\'2016 LTSB:\'\' {{Plainlist|\r\n* Mainstream support until October 12, 2021\r\n* Extended support until October 13, 2026&lt;ref name=sup /&gt;\r\n  }}\r\n\'\'2019 LTSC:\'\' {{Plainlist|\r\n* Mainstream support until January 9, 2024\r\n* Extended support until January 9, 2029&lt;ref name=sup&gt;{{cite web|title=Windows 10|url=https://support.microsoft.com/en-us/lifecycle/search?sort=PN&amp;alpha=Windows%2010&amp;Filter=FilterNO|website=Microsoft Support Lifecycle|publisher=Microsoft|access-date=August 10, 2016}}&lt;/ref&gt;\r\n&lt;br/&gt;Exceptions exist, see [[#Support lifecycle|§ Support lifecycle]] for details.\r\n}}\r\n}',2614279);



INSERT INTO `pages` (`id`,`pageName`) VALUES (7470,'Vratislaus I, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (8277,'John of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (8423,'Charles IV, Holy Roman Emperor');
INSERT INTO `pages` (`id`,`pageName`) VALUES (9617,'Rudolf I of Germany');
INSERT INTO `pages` (`id`,`pageName`) VALUES (16142,'John I, Duke of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (16151,'Henry I, Duke of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (17024,'Boleslaus I, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (21776,'Verdun');
INSERT INTO `pages` (`id`,`pageName`) VALUES (60679,'Fulk, King of Jerusalem');
INSERT INTO `pages` (`id`,`pageName`) VALUES (77993,'Ottokar I of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (78016,'Ottokar II of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (78907,'Wenceslaus II of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (84276,'Wenceslaus I of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (89384,'Fulk IV, Count of Anjou');
INSERT INTO `pages` (`id`,`pageName`) VALUES (109389,'Henry II, Duke of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (109390,'Henry III, Duke of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (111608,'Bo?ivoj I, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (112113,'Boleslaus II, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (126548,'Constance of Antioch');
INSERT INTO `pages` (`id`,`pageName`) VALUES (129258,'Bretislav I');
INSERT INTO `pages` (`id`,`pageName`) VALUES (142170,'Margaret I, Countess of Flanders');
INSERT INTO `pages` (`id`,`pageName`) VALUES (168485,'Old?ich, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (171785,'Ludmila of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (174886,'Vratislaus II of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (174890,'Vladislaus I, Duke of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (231009,'Reginar II, Count of Hainaut');
INSERT INTO `pages` (`id`,`pageName`) VALUES (263880,'Bertrade of Montfort');
INSERT INTO `pages` (`id`,`pageName`) VALUES (273014,'Alice of Antioch');
INSERT INTO `pages` (`id`,`pageName`) VALUES (309252,'Elizabeth of Bohemia (1292–1330)');
INSERT INTO `pages` (`id`,`pageName`) VALUES (312877,'Godfrey I, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (335552,'Godfrey II, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (366691,'Godfrey III, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (371312,'Drahomíra');
INSERT INTO `pages` (`id`,`pageName`) VALUES (445315,'Vladislaus II, Duke and King of Bohemia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (461377,'Margaret of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (469278,'Sibylla of Anjou');
INSERT INTO `pages` (`id`,`pageName`) VALUES (591164,'Kunigunda of Halych');
INSERT INTO `pages` (`id`,`pageName`) VALUES (610147,'Maria Laskarina');
INSERT INTO `pages` (`id`,`pageName`) VALUES (668039,'Reginar III, Count of Hainaut');
INSERT INTO `pages` (`id`,`pageName`) VALUES (739060,'Henry VI, Count of Luxembourg');
INSERT INTO `pages` (`id`,`pageName`) VALUES (835146,'House of Henneberg');
INSERT INTO `pages` (`id`,`pageName`) VALUES (882227,'Gertrude of Hohenberg');
INSERT INTO `pages` (`id`,`pageName`) VALUES (901692,'Lambert I, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (951562,'Reginar Longneck');
INSERT INTO `pages` (`id`,`pageName`) VALUES (993126,'Lambert II, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1066486,'Kunigunde of Hohenstaufen');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1117785,'Agnes of Antioch');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1230167,'Maria of Swabia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1343739,'Constance of Hungary');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1372137,'Judith of Habsburg');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1374375,'Judith of Schweinfurt');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1375104,'?wi?tos?awa of Poland');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1387352,'Judith of Thuringia');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1531348,'Adelaide of Burgundy, Duchess of Brabant');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1552338,'Anna of Hungary, Duchess of Macsó');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1552471,'Henry II, Count of Louvain');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1565060,'Maria Dobroniega of Kiev');
INSERT INTO `pages` (`id`,`pageName`) VALUES (1797288,'Henry VII, Holy Roman Emperor');

INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Henry VI of Luxembourg','Henry VI, Count of Luxembourg');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Elisabeth of Bohemia (1292–1330)','Elizabeth of Bohemia (1292–1330)');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Margaret of Flanders','Margaret I, Countess of Flanders');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Fulk of jerusalem','Fulk, King of Jerusalem');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Godfrey III, Count of Leuven','Godfrey III, Count of Louvain');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Reginar III of Hainaut','Reginar III, Count of Hainaut');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Reginar, Duke of Lorraine','Reginar Longneck');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Vladislaus II, Duke of Bohemia','Vladislaus II, Duke and King of Bohemia');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Bretislaus I of Bohemia','Bretislav I');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Boleslaus II of Bohemia','Boleslaus II, Duke of Bohemia');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Bertrade de montfort','Bertrade of Montfort');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Constance, Princess of Antioch','Constance of Antioch');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Marie of Hohenstaufen','Maria of Swabia');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Kunigunda of Slavonia','Kunigunda of Halych');
INSERT INTO `redirect` (`oldName`,`newName`) VALUES ('Anna of Hungary (b.1226)','Anna of Hungary, Duchess of Macsó');

INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (8322,'royalty','{{Infobox royalty\r\n|name             = Vratislaus I\r\n| image           = Wratys?aw I.jpg\r\n| caption         = \r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = 915 – 13 February 921\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Spytihn?v I, Duke of Bohemia|Spytihn?v I]]\r\n| successor       = [[Wenceslaus I, Duke of Bohemia|Wenceslaus I]]\r\n| spouse          =[[Drahomíra]]\r\n| spouses         = \r\n| issue           = [[Wenceslaus I, Duke of Bohemia]]&lt;br&gt;[[Boleslaus I, Duke of Bohemia]]&lt;br&gt;[[St?ezislava]] (?)\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Bo?ivoj I, Duke of Bohemia]]\r\n| mother          = [[Ludmila of Bohemia]]\r\n| birth_date      = {{circa|888}}\r\n| birth_place     = \r\n| death_date      = 13 February 921 (aged c. 33)\r\n| death_place     = \r\n| date of burial  =\r\n| place of burial =[[St. George\'s Basilica, Prague]]\r\n|}',7470);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (9217,'royalty','{{Infobox royalty\r\n| name            = John the Blind\r\n| image           = Busta Jan Lucemburský.jpg\r\n| caption         = 14th-century bust of John of Bohemia, [[St. Vitus Cathedral]]\r\n| succession      = [[King of Bohemia]]\r\n| reign           = 1310–1346\r\n| coronation      = 7 February 1311, [[Prague]]&lt;ref&gt;{{cite web|title=The Royal Route|url=http://www.kralovskacesta.cz/en/texts/the-royal-route.html|work=Královská cesta|access-date=11 July 2013}}&lt;/ref&gt;\r\n| predecessor     = [[Henry of Bohemia|Henry]]\r\n| successor       = [[Emperor Charles IV]]\r\n| succession1     = [[Count of Luxembourg]], [[Arlon]] and [[Durbuy]]\r\n| reign1          = 1313–1346\r\n| predecessor1    = [[Emperor Henry VII]]\r\n| successor1      = [[Emperor Charles IV]]\r\n| spouse          = {{Plainlist|\r\n* {{marriage|[[Elizabeth of Bohemia (1292–1330)|Elizabeth of Bohemia]]|1 September 1310|1330|end=d}}\r\n* {{marriage|[[Beatrice of Bourbon, Queen of Bohemia|Beatrice of Bourbon]]&lt;br&gt;|December 1334}}\r\n}}\r\n| issue           = {{Plainlist|\r\n* [[Margaret of Bohemia, Duchess of Bavaria|Margaret, Duchess of Bavaria]]\r\n* [[Bonne of Bohemia|Bonne, Duchess of Normandy]]\r\n* [[Charles IV, Holy Roman Emperor]]\r\n* [[John Henry, Margrave of Moravia]]\r\n* [[Anne of Bohemia (1323–1338)|Anna, Duchess of Austria]]\r\n* [[Wenceslaus I, Duke of Luxembourg]]\r\n* [[Nicolaus of Luxemburg|Nicolaus]] (illegitimate)\r\n}}\r\n| house = [[House of Luxembourg|Luxembourg]]\r\n| father          = [[Henry VII, Holy Roman Emperor]]\r\n| mother          = [[Margaret of Brabant]]\r\n| birth_date      = 10 August 1296\r\n| birth_place     = Luxembourg{{citation needed|date=August 2013}}\r\n| death_date      = {{dda|26 August 1346|10 August 1296|df=y}}\r\n| death_place     = [[Crécy-en-Ponthieu]]\r\n| place of burial = [[Altmünster Abbey]], [[Luxembourg]]\r\n}',8277);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (9375,'royalty','{{Infobox royalty\r\n| name        = Charles IV\r\n| image       = Charles_IV-John_Ocko_votive_picture-fragment.jpg\r\n| caption     =\r\n| succession  = [[King of Bohemia]]\r\n| reign       = 26 August 1346 – 29 November 1378\r\n| predecessor = [[John of Bohemia|John]]\r\n| successor   = [[Wenceslaus IV of Bohemia|Wenceslaus IV]]\r\n| coronation  = 2 September 1347, [[Prague]]\r\n| succession1 = [[King of the Romans]]&lt;br /&gt;(Roman-German King)\r\n| reign1      = 11 July 1346 – 29 November 1378\r\n| predecessor1= [[Louis IV, Holy Roman Emperor|Louis IV]]\r\n| successor1  = [[Wenceslaus IV of Bohemia|Wenceslaus]]\r\n| coronation1 = 26 November 1346, [[Bonn]]\r\n| succession2 = [[Holy Roman Emperor]], [[King of Italy]]\r\n| reign2      = 1355 – 29 November 1378\r\n| predecessor2= [[Louis IV, Holy Roman Emperor|Louis IV]]\r\n| successor2  = [[Sigismund, Holy Roman Emperor|Sigismund]]\r\n| coronation2 = {{plainlist|\r\n* 6 January 1355, [[Milan]] (Italian)\r\n* 5 April 1355, [[Rome]] (imperial)}}\r\n| spouse      = {{plainlist|\r\n* {{marriage|[[Blanche of Valois]]|1329|1348|end=d}}\r\n* {{marriage|[[Anne of Bavaria]]|1349|1353|end=d}}\r\n* {{marriage|[[Anna von Schweidnitz]]|1353|1362|end=d}}\r\n* {{marriage|[[Elizabeth of Pomerania]]&lt;br /&gt;|1363}}\r\n}}\r\n| issue       = {{plainlist|\r\n* [[Wenceslaus, King of the Romans]]\r\n* [[Sigismund, Holy Roman Emperor]]\r\n* [[John of Görlitz]]\r\n* [[Margaret of Bohemia, Queen of Hungary|Margaret, Queen of Hungary]]\r\n* [[Catherine of Bohemia]]\r\n* [[Elisabeth of Bohemia (1358–1373)|Elisabeth, Duchess of Austria]]\r\n* [[Anne of Bohemia|Anne, Queen of England]]\r\n* [[Margaret of Bohemia, Burgravine of Nuremberg|Margaret, Burgravine of Nuremberg]]}}\r\n| house       = [[House of Luxembourg|Luxembourg]]\r\n| father      = [[John of Bohemia]]\r\n| mother      = [[Elisabeth of Bohemia (1292–1330)|Elisabeth of Bohemia]]\r\n| birth_date  = 14 May 1316\r\n| birth_place = [[Prague]]\r\n| death_date  = 29 November 1378 (aged 62)\r\n| death_place = [[Prague]]\r\n| place of burial= [[St. Vitus Cathedral]], [[Prague]]\r\n| religion    = [[Catholic Church|Roman Catholicism]]\r\n}',8423);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (10660,'royalty','{{Infobox royalty\r\n|name         = Rudolf I\r\n|image        = Kaiser Rudolf I. 1275.jpg\r\n|caption      = Rudolf\'s effigy on a seal\r\n|succession   = [[King of Germany]]\r\n|predecessor  = ([[Richard of Cornwall]])&lt;br&gt;\'\'[[Interregnum (Holy Roman Empire)|Interregnum]]\'\'\r\n|successor    = [[Adolf, King of Germany|Adolf of Nassau]]\r\n|coronation   = 24 October 1273&lt;br&gt;[[Aachen Cathedral]]\r\n|reign        = 29 September 1273 – 15 July 1291\r\n|birth_date   = 1 May 1218\r\n|birth_place  = Limburgh Castle near [[Sasbach am Kaiserstuhl]]\r\n|death_date   = {{death date and age|1291|7|15|1218|5|1|df=y}}\r\n|death_place  = [[Speyer]]\r\n|house        = [[House of Habsburg|Habsburg]]\r\n|father       = [[Albert IV, Count of Habsburg]]\r\n|mother       = Hedwig of Kyburg\r\n|spouse       = {{plainlist|\r\n*[[Gertrude of Hohenberg]]\r\n*[[Isabella of Burgundy, Queen of Germany|Isabella of Burgundy]]}}\r\n|issue={{plainlist|\r\n*[[Albert I of Germany]]\r\n*[[Rudolf II, Duke of Austria]]\r\n*[[Matilda of Habsburg|Matilda, Duchess of Bavaria]]\r\n*Catherine, Duchess of Bavaria\r\n*Agnes, Duchess of Saxony\r\n*[[Hedwig of Habsburg|Hedwig, Mangravine of Brandenburg]]\r\n*[[Clementia of Habsburg|Clementia, Queen of Hungary]]\r\n*[[Judith of Habsburg|Judith, Queen of Bohemia]]}}\r\n|issue-link=#Family and children\r\n|issue-pipe   = more...\r\n|burial_place =[[Speyer Cathedral]]\r\n}',9617);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (17777,'royalty ','{{Infobox royalty \r\n| name        = John I\r\n| image       = Codex Manesse Johann von Brabant.jpg\r\n| caption     = John going to battle, from the [[Codex Manesse]]\r\n| succession  = [[Duke of Brabant]] and [[Duke of Lothier|Lothier]]\r\n| reign       = 1267–1294\r\n| predecessor = [[Henry IV, Duke of Brabant|Henry]]\r\n| successor   = [[John II, Duke of Brabant|John II]]\r\n| succession1 = [[Duke of Limburg]]\r\n| reign1      = 1288–1294\r\n| predecessor1= [[Reginald I of Guelders]]\r\n| successor1  =  [[John II, Duke of Brabant|John II]]\r\n| spouse      = [[Margaret of France, Duchess of Brabant|Margaret of France]]&lt;br&gt;[[Margaret of Flanders (d. 1285)|Margaret of Flanders]]\r\n| issue       = [[John II, Duke of Brabant]]&lt;br&gt;[[Margaret of Brabant|Margaret, Holy Roman Empress]]&lt;br&gt;[[Marie of Brabant, Countess of Savoy|Marie, Countess of Savoy]]\r\n| house       = [[House of Reginar]]\r\n| father      = [[Henry III, Duke of Brabant]]\r\n| mother      = [[Adelaide of Burgundy (1233–1273)|Adelaide of Burgundy]]\r\n| birth_date  = \r\n| birth_place = 1252\r\n| death_date  = 3 May 1294 (aged 41 or 42)\r\n| death_place = \r\n| religion    = [[Catholic Church|Roman Catholic]]\r\n|signature=File:Coat of arms Brabant - Limbourg 02.svg|signature_type=Coat of arms}',16142);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (17786,'nobility','{{Infobox nobility\r\n| name         = Henry I\r\n| title        = [[Duke of Brabant]]&lt;br&gt;[[Duke of Lothier]]\r\n| image        = Heinricus 1 Brabant.jpg\r\n| caption      = Effigy of Henry on his seal\r\n| spouse       = [[Matilda of Boulogne, Duchess of Brabant|Matilda of Boulogne]]&lt;br&gt;[[Marie of France, Duchess of Brabant|Marie of France]]\r\n| issue        = [[Maria of Brabant, Holy Roman Empress]]&lt;br&gt;Adelaide&lt;br&gt;Margaret&lt;br&gt;[[Matilda of Brabant, Countess of Holland|Matilda]]&lt;br&gt;[[Henry II, Duke of Brabant]]&lt;br&gt;Godfrey&lt;br&gt;Elizabeth&lt;br&gt;Marie\r\n| noble family = [[House of Reginar]]\r\n| father       = [[Godfrey III, Count of Leuven]]\r\n| mother       = Margaret of Limburg\r\n| birth_date   = {{circa|1165}}\r\n| birth_place  = \r\n| death_date   = 5 September 1235\r\n| death_place  = [[Cologne]], [[Kingdom of Germany]], Holy Roman Empire\r\n}',16151);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (18723,'royalty','{{Infobox royalty\r\n|name             = Boleslaus I\r\n| image           = Boleslav-I-Bohemian.jpg\r\n| caption         = Boleslaus I the Cruel, fresco in the [[Znojmo Rotunda]]\r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = September 935 – 15 July 967/972\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Wenceslaus I, Duke of Bohemia|Wenceslaus I]]\r\n| successor       = [[Boleslaus II, Duke of Bohemia|Boleslaus II]]\r\n| spouse          = [[Biagota]]\r\n| spouses         = \r\n| issue           = [[Doubravka of Bohemia]]&lt;br&gt;[[Boleslaus II, Duke of Bohemia]]&lt;br&gt;[[Strachkvas]]&lt;br&gt;[[Mlada (abbess)|Mlada]]\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Vratislaus I, Duke of Bohemia]]\r\n| mother          = [[Drahomíra]]\r\n| birth_date      = {{circa|908}}/910\r\n| birth_place     = \r\n| death_date      = 15 July 967 or 972 &lt;br&gt;(aged c. 57–64)\r\n| death_place     = \r\n| date of burial  =\r\n| place of burial =\r\n|}',17024);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (23660,'French commune','{{Infobox French commune\r\n|name               = Verdun\r\n|commune status     = [[Subprefectures in France|Subprefecture]] and [[Communes of France|commune]]\r\n|image              = Porte Verdun.JPG\r\n|caption            = Verdun and the Meuse river\r\n|image coat of arms = Blason Verdun 55.svg\r\n|arrondissement     = Verdun\r\n|canton             = [[Canton of Verdun-1|Verdun-1]] and [[Canton of Verdun-2|2]]\r\n|INSEE              = 55545\r\n|postal code        = 55100\r\n|mayor              = Samuel Hazard\r\n|term               = 2020&amp;ndash;2026\r\n|coordinates        = {{coord|49.162|5.3876|format=dms|display=inline,title}}\r\n|elevation m        =\r\n|elevation min m    = 194\r\n|elevation max m    = 330\r\n|area km2           = 31.03\r\n|population         = {{France metadata Wikidata|population_total}}\r\n|population date    = {{France metadata Wikidata|population_as_of}}\r\n|population footnotes   = {{France metadata Wikidata|population_footnotes}}\r\n}',21776);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (23661,'country','{{Infobox country\r\n|conventional_long_name = Imperial City of Verdun\r\n|common_name            = Verdun\r\n|era                    = Middle Ages\r\n|status                 = City-state\r\n|empire                 = Holy Roman Empire\r\n|government_type        = Republic\r\n|today                  = {{FRA}}\r\n|year_start             = &lt;!--- Year of establishment ---&gt;\r\n|year_end               = 1648\r\n|life_span              = ? – 1648\r\n|event_start            = &lt;!--- Default: &quot;Established&quot; ---&gt;\r\n|date_start             = \'\'Uncertain\'\'\r\n|event_end              = [[Three Bishoprics]] [[Italian War of 1551–1559|annexed]] by [[early modern France|France]]\r\n|date_end               =\r\n|event_post             = [[Peace of Westphalia|Annexation recognised]]\r\n|date_post              = 1648\r\n|p1                     = &lt;!--- Name of the article for preceding entity, numbered 1-5 ---&gt;\r\n|flag_p1                = &lt;!--- Default: &quot;Flag of {{{p1}}}.svg&quot; (size 30) ---&gt;\r\n|s1                     = Early modern France\r\n|flag_s1                = Royal Standard of the King of France.svg\r\n|image_coat             = Blason Verdun 55.svg\r\n|capital                = Verdun\r\n}',21776);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (63422,'royalty','{{Infobox royalty\r\n| name=Fulk (V)\r\n| image=File:Fulko jeune.jpg\r\n| caption=Fulk was the first count of Anjou to use a seal&lt;ref&gt;Brigitte Bedos Rezak, &quot;Women, Seals, and Power in Medieval France, 1150–1350&quot;, \'\'Women and Power in the Middle Ages\'\', ed. Mary Erler and Maryanne Kowaleski (University of Georgia Press, 1988), p. 63.&lt;/ref&gt;\r\n| succession= [[King of Jerusalem]]\r\n| reign= 1131–1143\r\n| coronation=\r\n| predecessor=[[Baldwin II of Jerusalem|Baldwin II]]\r\n| successor=[[Melisende of Jerusalem|Melisende]] and [[Baldwin III of Jerusalem|Baldwin III]]\r\n| birth_date= 1089/92\r\n| birth_place= [[Angers]], [[Kingdom of France|France]]\r\n| death_date= 13 November 1143\r\n| death_place= [[Acre, Israel|Acre]], [[Kingdom of Jerusalem]], [[Outremer]], [[Levant]]\r\n| spouse= [[Erembourg, Countess of Maine]]&lt;br&gt;[[Melisende, Queen of Jerusalem]]\r\n| issue=  [[Geoffrey V, Count of Anjou]]&lt;br&gt; [[Sibylla of Anjou|Sibylla, Countess of Flanders]]&lt;br&gt;[[Matilda of Anjou|Matilda, Duchess of Normandy]]&lt;br&gt; [[Elias II, Count of Maine]] &lt;br&gt; [[Baldwin III, King of Jerusalem]] &lt;br&gt; [[Amalric, King of Jerusalem]]\r\n| house= [[House of Châteaudun|Anjou]]\r\n| father= [[Fulk IV, Count of Anjou]]\r\n| mother= [[Bertrade de Montfort]]\r\n| succession1=[[Count of Anjou]]\r\n| reign2=1109–1129\r\n| predecessor2=[[Fulk IV of Anjou|Fulk IV]]\r\n| successor2=[[Geoffrey V, Count of Anjou|Geoffrey V]]\r\n| place of burial= [[Church of the Holy Sepulchre]] [[Jerusalem]]\r\n}',60679);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (83238,'royalty','{{Infobox royalty\r\n| name            = Ottokar I\r\n| title           = Duke of Bohemia; \'\'later\'\' King of Bohemia\r\n| image= File:OttocarusPrimus.jpg\r\n| image_size      = 150px\r\n| caption= Contemporary relief carving of Ottokar I in the tympanum of [[St George\'s Convent, Prague]]\r\n\r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = 1192 – 1193\r\n| coronation      = \r\n| predecessor     = [[Wenceslaus II, Duke of Bohemia|Wenceslaus II]]\r\n| successor       = [[Bretislaus III]]\r\n\r\n| succession1      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign1           = 1197 – 15 August 1198\r\n| coronation1      = \r\n| full name1       =\r\n| predecessor1     = [[Vladislaus III, Duke of Bohemia|Vladislaus III]]\r\n| successor1       = \'\'himself as king\'\'\r\n\r\n| succession2      = [[List of Bohemian monarchs|King of Bohemia]]\r\n| reign2           = 15 August 1198&lt;ref name=fmgac&gt;http://fmg.ac/Projects/MedLands/BOHEMIA.htm#_Toc278782568&lt;/ref&gt;/1200&lt;ref&gt;{{cite book |last1= Sommer|first1= Petr|authorlink1= Petr Sommer|last2=T?eštík |first2=Dušan |authorlink2=Dušan T?eštík|last3=Žemli?ka |first3=Josef |authorlink3=Josef Žemli?ka |others=a kol. |title=P?emyslovci. Budování ?eského státu |year=2009 |publisher=Nakladatelství Lidové noviny |location=Praha |language=Czech |isbn=978-80-7106-352-0 |page=209}}&lt;/ref&gt;–15 December 1230&lt;ref name=euweb/&gt;{{sfn|France|2006|page=233}}\r\n| coronation2      = 15 August 1198 at [[Mainz]]&lt;ref name=fmgac/&gt;\r\n| full name2       =\r\n| predecessor2     = \'\'himself as duke\'\'\r\n| successor2       = [[Wenceslaus I of Bohemia|Wenceslaus I]]\r\n\r\n| full name       =\r\n| spouses         = [[Adelheid of Meissen]]&lt;br&gt;[[Constance of Hungary]]\r\n| issue           = [[Wenceslaus I of Bohemia|Wenceslaus I, King of Bohemia]]&lt;br&gt;[[Dagmar of Bohemia|Dagmar, Queen of Denmark]]&lt;br&gt;[[Anne of Bohemia, Duchess of Silesia|Anne, Duchess of Silesia]]&lt;br&gt;[[Vladislaus II of Moravia]]&lt;br&gt;[[Agnes of Bohemia|Saint Agnes]]\r\n| issue-link      = #Family\r\n| issue-pipe      = more...\r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Vladislaus II, Duke of Bohemia]]\r\n| mother          = [[Judith of Thuringia]]\r\n| birth_date      = c. 1155\r\n| birth_place     = [[Bohemia]]\r\n| death_date      = 15 December 1230 (aged c. 75)\r\n| death_place     = [[Prague]]\r\n| date of burial  =\r\n| place of burial = [[St. Vitus Cathedral]]&lt;ref name=euweb/&gt;\r\n|}',77993);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (83262,'royalty','{{Infobox royalty\r\n|name             = Ottokar II\r\n| image           = PecetpoII.jpg\r\n| caption         = Ottokar\'s royal seal\r\n| succession      = [[King of Bohemia]]\r\n| reign           = 23 December 1253 – 26 August 1278\r\n| coronation      = 1261, [[Prague]]\r\n| full name       =\r\n| predecessor     = [[Wenceslaus I of Bohemia|Wenceslaus I]]\r\n| successor       = [[Wenceslaus II of Bohemia|Wenceslaus II]]\r\n| spouse          =\r\n| spouses         = [[Margaret of Austria, Queen of Bohemia|Margaret of Austria]]&lt;br&gt;[[Kunigunda of Slavonia]]\r\n| issue           = [[Kunigunde of Bohemia]]&lt;br&gt;[[Wenceslaus II of Bohemia]]&lt;br&gt;(illeg.) [[Nicholas I of Troppau]]\r\n| issue-link      =#Marriage and children\r\n| issue-pipe = more...\r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Wenceslaus I of Bohemia]]\r\n| mother          = [[Kunigunde of Hohenstaufen]]\r\n| birth_date      = c. 1233\r\n| birth_place     = [[M?stec Králové]], [[Kingdom of Bohemia|Bohemia]]\r\n| death_date      = 26 August 1278 (aged c. 44–45)\r\n| death_place     = [[Dürnkrut, Austria|Dürnkrut]], [[Duchy of Austria|Austria]]\r\n| date of burial  =\r\n| place of burial =[[Saint Vitus Cathedral]]\r\n|}',78016);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (84308,'royalty','{{Infobox royalty\r\n| name            = Wenceslaus II\r\n| image           = Vaclav2 trun.jpg\r\n| caption         = Portrayal in \'\'[[Codex Manesse]]\'\'\r\n| reign           = 26 August 1278 – 21 June 1305\r\n| coronation      = 2 June 1297, [[Prague]]&lt;ref&gt;{{cite web|title=The Royal Route|url=http://www.kralovskacesta.cz/en/texts/the-royal-route.html|work=Královská cesta|access-date=11 July 2013}}&lt;/ref&gt;\r\n| reign1          = 1300–1305\r\n| coronation1     = 25 July 1300, [[Gniezno]]\r\n| full name       =\r\n| succession      = [[King of Bohemia]]\r\n| predecessor     = [[Ottokar II of Bohemia|Ottokar II]]\r\n| successor       = [[Wenceslaus III of Bohemia|Wenceslaus III]]\r\n| succession1     = [[King of Poland]]\r\n| predecessor1    = [[Przemysl II of Poland|Przemysl II]]\r\n| successor1      = [[Wenceslaus III of Bohemia|Wenceslaus III]]\r\n| spouse          = {{plainlist|\r\n*[[Judith of Habsburg]]\r\n*[[Elisabeth Richeza of Poland]]}}\r\n| issue           = {{plainlist|\r\n*[[Wenceslaus III of Bohemia|Wenceslas III, King of Bohemia]]\r\n*[[Anne of Bohemia (1290-1313)|Anne, Queen of Bohemia]]\r\n*[[Elisabeth of Bohemia (1292–1330)|Elisabeth, Queen of Bohemia]]\r\n*[[Margaret of Bohemia (1296-1322)|Margaret, Duchess of Wroclaw]]\r\n*[[Agnes of Bohemia (1305–1337)|Agnes, Duchess of Jawor]]}}\r\n| dynasty     =[[P?emyslid dynasty|P?emyslid]]\r\n| father          =[[Ottokar II of Bohemia]]\r\n| mother          =[[Kunigunda of Slavonia]]\r\n| birth_date   = {{birth-date|27 September 1271}}\r\n| birth_place  =[[Prague]], [[Bohemia]]\r\n| death_date   ={{death-date and age|21 June 1305|27 September 1271}}\r\n| death_place  =[[Prague]], [[Bohemia]]\r\n| burial_date  =\r\n| burial_place =\r\n}',78907);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (90186,'royalty','{{Infobox royalty\r\n| name            = Wenceslaus I\r\n| succession     = [[King of Bohemia]]\r\n| image           = VaclavI.jpg\r\n| caption         = Seal of Wenceslaus I\r\n| reign           = 15 December 1230 – 23 September 1253\r\n| predecessor     = [[Ottokar I of Bohemia|Ottokar I]]\r\n| successor       = [[Ottokar II of Bohemia|Ottokar II]]\r\n| spouse          = [[Kunigunde of Hohenstaufen|Kunigunde of Swabia]]\r\n| issue           = [[Vladislaus III of Moravia|Vladislaus, Margrave of Moravia]]&lt;br&gt;[[Ottokar II of Bohemia|Ottokar II, King of Bohemia]]&lt;br&gt;[[Beatrice of Bohemia|Beatrice, Margravine of Brandenburg]]\r\n| issue-link = #Marriage and children\r\n| issue-pipe = more...\r\n| dynasty     = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Ottokar I of Bohemia]]\r\n| mother          = [[Constance of Hungary]]\r\n| birth_date      = {{circa|1205}}\r\n| birth_place     = [[Kingdom of Bohemia]]\r\n| death_date      = 23 September 1253 (aged {{nowrap|c. 48)}}\r\n| death_place     = [[Král?v Dv?r]], [[Kingdom of Bohemia]]\r\n|}',84276);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (95899,'royalty','{{Infobox royalty\r\n| name    = Fulk IV\r\n| title   = &quot;le Réchin&quot;\r\n| image   = Fulko4Anjou.jpg\r\n| caption =\r\n| succession = [[Count of Anjou]]\r\n| reign   = 1068–1109\r\n| predecessor = [[Geoffrey III, Count of Anjou|Geoffrey III]]\r\n| successor = [[Fulk of Jerusalem|Fulk V]]\r\n| regent = [[Geoffrey IV, Count of Anjou]] (until 1106)\r\n| reg-type = Joint rule\r\n| spouses = {{Plainlist|\r\n* {{marriage|Hildegarde of Beaugency|1608|1070|end={{abbr|d.|died}}}}\r\n* {{marriage|Ermengarde de Bourbon|1070|1075|end={{abbr|div.|divorced}}}}\r\n* {{marriage|Orengarde de Châtellailon|1076|1080|end={{abbr|div.|divorced}}}}\r\n* {{marriage|\'\'N\'\' de Brienne|1080|1087|end={{abbr|div.|divorced}}}}\r\n* {{marriage|[[Bertrade de Montfort]]|1089|1092|end=div.|divorced}}}}\r\n| issue = \'\'by Hildegarde\'\':&lt;br&gt; [[Ermengarde of Anjou (d. 1146)|Ermengarde, Duchess of Brittany]]&lt;br&gt; \'\'by Ermengarde\'\':&lt;br&gt; [[Geoffrey IV, Count of Anjou]]&lt;br&gt; \'\'by Bertrade\'\':&lt;br&gt; [[Fulk of Jerusalem]]\r\n| house = [[House of Châteaudun|House of Anjou]]\r\n| father = [[Geoffrey II, Count of Gâtinais]]\r\n| mother = [[Ermengarde of Anjou, Duchess of Burgundy|Ermengarde of Anjou]]\r\n| birth_date = 1043\r\n| death_date = 1109\r\n| death_place =\r\n| place of burial =\r\n}',89384);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (118413,'nobility','{{Infobox nobility\r\n| name         = Henry II\r\n| title        = [[Duke of Brabant]]&lt;br&gt;[[Duke of Lothier]]\r\n| spouse       = [[Marie of Hohenstaufen]]&lt;br&gt;[[Sophie of Thuringia, Duchess of Brabant|Sophie of Thuringia]]\r\n| issue        = [[Henry III, Duke of Brabant]]&lt;br&gt;Philip&lt;br&gt;[[Matilda of Brabant]]&lt;br&gt;[[Beatrice of Brabant]]&lt;br&gt;[[Maria of Brabant (1226-1256)|Maria of Brabant]]&lt;br&gt;Margaret&lt;br&gt;[[Henry I, Landgrave of Hesse]]&lt;br&gt;Elizabeth\r\n| noble family = [[House of Reginar|Reginar]]\r\n| father       = [[Henry I, Duke of Brabant]]\r\n| mother       = [[Mathilde of Flanders]]\r\n| birth_date   =\r\n| birth_place  = 1207\r\n| death_date   = 1 February {{death year and age|1248|1207}}\r\n| death_place  = [[Leuven]]\r\n|}',109389);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (118414,'nobility','{{Infobox nobility|\r\n| name                 =Henry III\r\n| title                =[[Duke of Brabant]]&lt;br&gt;[[Duke of Lothier]]&lt;br&gt;[[Imperial Vicar]]\r\n| image                =Heinricus III of Brabant.jpg\r\n| caption = Effigy of Henry on his seal\r\n| spouse               =[[Adelaide of Burgundy (1233–1273)|Adelaide of Burgundy]]\r\n| issue                =[[Henry IV, Duke of Brabant]]&lt;br&gt;[[John I, Duke of Brabant]]&lt;br&gt;Godfrey, Lord of Aarschot &lt;br&gt;[[Marie of Brabant, Queen of France]]\r\n| noble family         =[[House of Reginar]]\r\n| father               =[[Henry II, Duke of Brabant]]\r\n| mother               =[[Marie of Hohenstaufen]]\r\n| birth_date           =\r\n| birth_place          =1230\r\n| death_date           =28 February 1261\r\n| death_place          =[[Leuven]]\r\n| religion             =[[Roman Catholicism]]\r\n|}',109390);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (121221,'royalty','{{Infobox royalty\r\n|name             = Bo?ivoj I\r\n| image           = K?est knížete Bo?ivoje.jpg\r\n| caption         = \'\'[[Baptism]] of Duke Bo?ivoj\'\', 19th-century painting\r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = c. 867 – c. 889 \r\n| coronation      = \r\n| full name       =\r\n| predecessor     = unknown\r\n| successor       = [[Spytihn?v I, Duke of Bohemia|Spytihn?v I]]\r\n| spouse          =[[Ludmila of Bohemia|Ludmila]]\r\n| spouses         = \r\n| issue           = [[Spytihn?v I, Duke of Bohemia|Spytihn?v]]&lt;br&gt;[[Vratislaus I, Duke of Bohemia|Vratislaus]]\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Hostivít]]\r\n| mother          = \r\n| birth_date      =  {{circa|852}}\r\n| birth_place     = \r\n| death_date      = {{circa|889}} (aged c. 35–36)\r\n| death_place     = \r\n| date of burial  =\r\n| place of burial =\r\n|}',111608);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (121814,'royalty','{{Infobox royalty\r\n|name             = Boleslaus II\r\n| image           = Boles?aw II Pobo?ny.jpg\r\n| caption         = Fresco in the [[Znojmo Rotunda]], 12th-century \r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = July 967/972 – 7 February 999\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Boleslaus I, Duke of Bohemia]]\r\n| successor       = [[Boleslaus III, Duke of Bohemia]]\r\n| spouse          = [[Adiva]]&lt;br/&gt;[[Emma of M?lník]]\r\n| spouses         = \r\n| issue           = [[Boleslaus III, Duke of Bohemia|Boleslaus III]]&lt;br&gt;[[Jaromir, Duke of Bohemia|Jaromír]]&lt;br&gt;[[Old?ich, Duke of Bohemia|Old?ich]]\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Boleslaus I, Duke of Bohemia]]\r\n| mother          = [[Biagota]]\r\n| birth_date      = c. 927/928\r\n| birth_place     = \r\n| death_date      = {{death date|999|2|7|df=y}} (aged c. 71–72)\r\n| death_place     = \r\n| date of burial  =\r\n| place of burial =[[St. George\'s Basilica, Prague]]\r\n|}',112113);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (139844,'royalty','{{Infobox royalty\r\n| name          = Constance\r\n| title         = \r\n| image         = Coat of Arms of the House of Hauteville (according to Agostino Inveges).svg \r\n| image_size    = 150px\r\n| caption       = Coat-of-arms of the [[House of Hauteville]]\r\n| succession    = Princess of Antioch&lt;br&gt;&lt;small&gt;together with [[Raymond of Poitiers|Raymond]] (1136–1149) and [[Raynald of Châtillon|Raynald]] (1153–1160 or 1161)&lt;/small&gt;\r\n| reign         = 1130 to 1163\r\n| coronation    = \r\n| cor-type      =\r\n| predecessor   = [[Bohemond II of Antioch|Bohemond II]]\r\n| successor     = [[Bohemond III of Antioch|Bohemond III]]\r\n| regent        = [[Alice of Antioch|Alice of Jerusalem]]&lt;br/&gt;[[Baldwin II of Jerusalem]]&lt;br/&gt;[[Fulk, King of Jerusalem|Fulk of Anjou]]&lt;br/&gt;[[Baldwin III of Jerusalem]]\r\n| spouse        = [[Raymond of Poitiers]]&lt;br/&gt;[[Raynald of Châtillon]]\r\n| issue         = [[Bohemond III of Antioch]]&lt;br/&gt;[[Maria of Antioch|Maria, Byzantine Empress]]&lt;br/&gt;[[Philippa of Antioch|Philippa, Lady of Toron]]&lt;br/&gt;[[Baldwin of Antioch]]&lt;br/&gt;[[Agnes of Antioch|Agnes, Queen of Hungary]]\r\n| house         = [[House of Hauteville|Hauteville]]\r\n| house-type    =\r\n| father        = [[Bohemond II of Antioch|Bohemond II]]\r\n| mother        = [[Alice of Antioch|Alice of Jerusalem]]\r\n| birth_date    = 1128\r\n| birth_place   = \r\n| death_date    = {{Death year and age|1163|1128}}\r\n| death_place   = \r\n| burial_place  =\r\n| religion      = [[Catholicism]]\r\n| signature     =\r\n}',126548);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (143148,'royalty','{{Infobox royalty\r\n|name             = Bretislav I\r\n| image           = Brzetys?aw I.jpg \r\n| caption         = 12th-century fresco depiction in the [[Znojmo Rotunda]]\r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = 1034 – 10 January 1055\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Old?ich of Bohemia|Old?ich]]\r\n| successor       = [[Spytihn?v II, Duke of Bohemia|Spytihn?v II]]\r\n\r\n| spouse          = [[Judith of Schweinfurt]]\r\n| spouses         = \r\n| issue           = [[Spytihn?v II, Duke of Bohemia]]&lt;br /&gt;[[Vratislaus II of Bohemia]]&lt;br /&gt;[[Conrad I, Duke of Bohemia]]&lt;br /&gt;[[Otto I of Olomouc]]&lt;br&gt;[[Jaromír, Bishop of Prague]]\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Old?ich of Bohemia]]\r\n| mother          = [[Božena (K?esinová)|Božena]]\r\n| birth_date      = between 1002 and 1005\r\n| birth_place     = \r\n| death_date      =  {{death date|1055|1|10|df=y}} (aged c. 50–53)\r\n| death_place     = [[Chrudim]]\r\n| date of burial  =\r\n| place of burial =\r\n|}',129258);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (158164,'nobility','{{Infobox nobility\r\n| name = Margaret I\r\n| image = Margaret I of Flanders.png\r\n|caption = Margaret\'s effigy on a seal\r\n| noble family = [[House of Metz|Metz]]\r\n| father = [[Thierry, Count of Flanders]]\r\n| mother = [[Sibylla of Anjou]]\r\n| spouse = [[Ralph II, Count of Vermandois]]&lt;br/&gt;[[Baldwin V, Count of Hainaut]]\r\n| birth_date = circa 1145\r\n| birth_place = \r\n| death_date = {{death date|1194|11|15|df=y}}\r\n| death_place = \r\n| burial_place = [[St. Donatian\'s Cathedral]] in [[Bruges]]\r\n}',142170);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (188256,'royalty','{{Infobox royalty\r\n|name             = Old?ich\r\n| image           = OLd?ich.jpg\r\n| caption         = Depiction in the \'\'[[Chronicle of Dalimil]]\'\', 14th century\r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = 1012 – 1033\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Jaromír, Duke of Bohemia|Jaromír]]\r\n| successor       = [[Jaromír, Duke of Bohemia|Jaromír]]\r\n\r\n| succession2      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign2           = 1034 \r\n| coronation2      = \r\n| full name2       =\r\n| predecessor2     = [[Jaromír, Duke of Bohemia|Jaromír]]\r\n| successor2       = [[Bretislaus I, Duke of Bohemia|Bretislaus I]]\r\n\r\n| spouse          = [[Božena (K?esinova)|Božena]] \r\n| spouses         = \r\n| issue           = [[Bretislaus I, Duke of Bohemia|Bretislaus I]]\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Boleslaus II of Bohemia]]\r\n| mother          = [[Adiva]] or [[Emma of M?lník]]\r\n| birth_date      = {{circa|975}}\r\n| birth_place     = \r\n| death_date      = {{death date|1034|11|11|df=y}} (aged c. 60)\r\n| death_place     = \r\n| date of burial  =\r\n| place of burial =\r\n|}',168485);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (191981,'saint','{{Infobox saint\r\n|name=Saint Ludmila\r\n|birth_date=c. 860\r\n|death_date={{death date|921|9|15|df=y}}\r\n|feast_day=September 18\r\n|venerated_in=[[Eastern Orthodox Church]], [[Roman Catholic Church]]\r\n|image=StLudmilaWindowCedarRapidsSep2001.jpg\r\n|imagesize=180px\r\n|caption=Saint Ludmila\r\n|birth_place= [[M?lník]]\r\n|death_place= Tetín castle [[:cs:Tetín (hrad)|(\'\'cs\'\')]], [[Tetín (Beroun District)|Tetín]], [[Bohemia]]\r\n|titles= Martyr\r\n|beatified_date= \r\n|beatified_place=\r\n|beatified_by=\r\n|canonized_date=shortly after her death\r\n|canonized_place=\r\n|canonized_by=\r\n|attributes=veil\r\n|patronage=[[Bohemia]]\r\n|major_shrine=[[Chapel of St. Ludmila]]\r\n|suppressed_date=\r\n|issues=\r\n|prayer=\r\n|prayer_attrib=\r\n}',171785);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (195515,'royalty','{{Infobox royalty\r\n|name             = Vratislaus II\r\n| image           = Vratislav II.PNG\r\n| caption         = \r\n| succession      = [[List of Bohemian monarchs|Duke of Bohemia]]\r\n| reign           = January 1061 – June 1085\r\n| coronation      = \r\n| full name       =\r\n| predecessor     = [[Spytihn?v II of Bohemia]]\r\n| successor       = \'\'himself is king\'\'\r\n\r\n| succession2      = [[List of Bohemian monarchs|King of Bohemia]]\r\n| reign2           = June 1085 – 14 January 1092\r\n| coronation2      = 15 June 1085, [[Prague]]\r\n| full name2       =\r\n| predecessor2     = \'\'himself is duke\'\'\r\n| successor2       = [[Conrad I of Bohemia]]\r\n\r\n| spouse          = Maria, [[Adelaide of Hungary]], [[?wi?tos?awa of Poland]]\r\n| spouses         = \r\n| issue           = {{plainlist|\r\n*[[Bretislaus II of Bohemia]]\r\n*[[Borivoj II of Bohemia]]\r\n*[[Vladislaus I, Duke of Bohemia|Vladislaus I of Bohemia]]\r\n*[[Sob?slav I of Bohemia]]}}\r\n| issue-link      =\r\n| issue-pipe      = \r\n| dynasty         = [[P?emyslid dynasty|P?emyslid]]\r\n| father          = [[Bretislaus I of Bohemia]]\r\n| mother          = [[Judith of Schweinfurt]]\r\n| birth_date      = c. 1032 \r\n| birth_place     = [[Bohemia]]\r\n| death_date      = 14 January 1092 (aged c. 59–60)\r\n| death_place     = [[Bohemia]]\r\n| date of burial  =\r\n| place of burial =[[Vyšehrad]]\r\n|}',174886);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (195520,'royalty','{{Infobox royalty\r\n| name            =  Vladislaus I\r\n| image           =  VladislavI.JPG\r\n| caption         =\r\n| succession      =  [[Duke of Bohemia]]\r\n| reign           =  1109 &amp;ndash; 1117, 1120 - 1125\r\n| coronation      =\r\n| predecessor     =  [[Svatopluk, Duke of Bohemia|Svatopluk]]\r\n| successor       =  [[Bo?ivoj II, Duke of Bohemia|Bo?ivoj II]]\r\n| succession1      =  [[Duke of Bohemia]]\r\n| reign1          =  1120 &amp;ndash; 1125\r\n| coronation1     =  \r\n| predecessor1    =  [[Bo?ivoj II, Duke of Bohemia|Bo?ivoj II]]\r\n| successor1      =  [[Sobeslav I of Bohemia|Sobeslav I]]\r\n| spouse          =  [[Richeza of Berg]]\r\n| issue           =  [[Vladislaus II, Duke and King of Bohemia|Vladislav II of Bohemia]]&lt;br/&gt;[[D?pold I of Jamnitz]]\r\n| issue-link =#Family\r\n| issue-pipe = among others...\r\n| house           =  [[P?emyslid dynasty]]\r\n| father          =  [[Vratislaus II of Bohemia]]\r\n| mother          =  [[?wi?tos?awa of Poland]]\r\n| birth_date      =  c. 1065\r\n| birth_place     =  \r\n| death_date      =  {{death date and age|1125|4|12|1065|df=y}}\r\n| death_place     =  \r\n| place of burial =  \r\n| religion        =  [[Catholic Church|Roman Catholicism]]\r\n}',174890);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (259973,'nobility','{{Infobox nobility\r\n| name         = Reignar II\r\n| title        = [[Count of Hainaut]]\r\n| image        =\r\n| issue        = [[Reginar III, Count of Hainaut]]&lt;br&gt;Rudolph, Count of the Maasgau&lt;br&gt;Liéthard\r\n| noble family = [[House of Reginar|Reginar]]\r\n| father       = [[Reginar, Duke of Lorraine]]\r\n| mother       = Hersinda\r\n| birth_date   = 890\r\n| birth_place  =\r\n| death_date   = 932 (aged 42)\r\n| death_place  =\r\n|}',231009);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (297186,'royalty','{{Infobox royalty|consort= yes\r\n| name            = Bertrade de Montfort\r\n|succession= Queen consort of the Franks\r\n| image           = Bertrada Filip.jpg\r\n| image_size            = 150\r\n| caption         =Bertrade with Philip \r\n| reign           = 15 May 1092 – 29 July 1108\r\n| coronation      =\r\n| spouse          = [[Fulk IV, Count of Anjou]]&lt;br&gt;[[Philip I, King of France]]\r\n| issue           = [[Fulk, King of Jerusalem]]&lt;br&gt; Philip, Count of Mantes &lt;br&gt; Fleury, Seigneur of Nangis &lt;br&gt; [[Cecile of France|Cecile, Princess of Galilee]]\r\n| house           = [[Montfort of Brittany|House of Montfort]]\r\n| titles          =\r\n| father          = [[Simon I de Montfort]]\r\n| mother          = Agnes of Evreux\r\n| birth_date   = c. 1070\r\n| birth_place  =\r\n| death_date   = 14 February {{death year and age|1117|1070}}\r\n| death_place  =\r\n|burial_place=\r\n|religion = [[Roman Catholicism]]\r\n}',263880);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (307341,'royalty','{{Infobox royalty|consort=yes\r\n| name        = Alice\r\n| title       = [[Princess of Antioch]]\r\n| image       =\r\n| image_size  = 180px\r\n| caption     = \r\n| reign       = 1126–1130\r\n| spouse      = [[Bohemond II of Antioch]]\r\n| issue       = [[Constance of Antioch]]\r\n| house       = Rethel\r\n| father      = [[Baldwin II of Jerusalem]]\r\n| mother      = [[Morphia of Melitene]]\r\n| birth_date  = {{circa|1110}}\r\n| birth_place = [[Edessa]]\r\n| death_date  = c. after 1136\r\n| death_place = [[Latakia]]\r\n| place of burial= \r\n| religion    = [[Christianity|Christian]]\r\n}',273014);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (347168,'royalty','{{Infobox royalty\r\n|consort=yes\r\n| name           = Elizabeth of Bohemia\r\n| succession     = [[Queen consort of Bohemia]]\r\n| image          = Eliska.jpg\r\n| image_size     = 150px\r\n| caption        =\r\n| birth_date     = 20 January 1292\r\n| birth_place    =\r\n| death_date     = {{death date and age|1330|9|28|1292|1|20|df=y}}\r\n| death_place    = [[Bohemia]]\r\n| burial_place =\r\n| reign          = 1310–1330\r\n| coronation     = 7 February 1311\r\n| spouse         = [[John of Luxembourg]]\r\n| issue          = [[Margaret of Bohemia, Duchess of Bavaria|Margaret, Duchess of Bavaria]]&lt;br&gt;[[Bonne of Bohemia|Bonne, Duchess of Normandy]]&lt;br&gt;[[Charles IV, Holy Roman Emperor]]&lt;br&gt;[[John Henry, Margrave of Moravia]]&lt;br&gt;[[Anne of Bohemia (1323–1338)|Anna, Duchess of Austria]]\r\n| house          = [[P?emyslid dynasty|P?emyslovci]]\r\n| father         = [[Wenceslaus II of Bohemia]]\r\n| mother         = [[Judith of Habsburg]]\r\n}',309252);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (351148,'nobility','{{Infobox nobility|\r\n| name                 = Godfrey I\r\n| title                = [[Duke of Lower Lorraine]]&lt;br&gt;[[Landgraviate of Brabant]]&lt;br&gt;[[Counts of Louvain|Count of Louvain]]&lt;br&gt;[[Counts of Brussels|Count of Brussels]]\r\n| image                = Godffroy1.jpg\r\n| caption = Effigy of Godfrey on his seal\r\n| spouse               = [[Ida of Chiny]]&lt;br&gt;[[Clementia of Burgundy|Clementia of Bourgogne]]\r\n| issue                = [[Adeliza of Louvain]]&lt;br&gt;[[Godfrey II of Louvain]]&lt;br&gt;Clarissa&lt;br&gt;Henry&lt;br&gt;Ida&lt;br&gt;[[Joceline of Louvain]]\r\n| noble family         = [[House of Reginar|Reginar]]\r\n| father               = [[Henry II, Count of Louvain]]\r\n| mother               = Adèle of Orthen ([[Verdun]])\r\n| birth_date           = 1060\r\n| birth_place          =\r\n| death_date           = 25 January 1139 (aged 79)\r\n| death_place          =\r\n| place of burial      = [[Affligem Abbey]]\r\n}',312877);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (376102,'nobility','{{Infobox nobility|\r\n| name                 =Godfrey II\r\n| title                =[[Duke of Lower Lorraine]]&lt;br&gt;[[Landgrave of Brabant]]&lt;br&gt;[[Count of Louvain]]&lt;br&gt;[[Count of Brussels]]\r\n| spouse               =Luitgarde of Sulzbach\r\n| issue                =[[Godfrey III, Count of Louvain]] \r\n| noble family         =[[House of Reginar]]\r\n| father               =[[Godfrey I, Count of Louvain]]\r\n| mother               =Ida of Chiny\r\n| birth_date           =c. 1110\r\n| birth_place          =\r\n| death_date           =13 June 1142 (aged 32)\r\n| death_place          =\r\n|}',335552);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (410150,'nobility','{{Infobox nobility|\r\n| name                 = Godfrey III\r\n| title                = [[Duke of Lower Lorraine]]&lt;br&gt;[[Landgrave of Brabant]]&lt;br&gt;[[Count of Louvain]]&lt;br&gt;[[Count of Brussels]]\r\n| image                = Godfrey 3 of Leuven.jpg\r\n| caption = Effigy of Godfrey on his seal \r\n| spouse               = Marguerite of Limbourg&lt;br&gt;Imagina of Looz\r\n| issue                = [[Henry I, Duke of Brabant]]&lt;br&gt;Saint [[Albert of Louvain|Albert, Prince-Bishop of Liège]]&lt;br&gt;William&lt;br&gt;Godfrey\r\n| noble family         = [[House of Reginar]]\r\n| father               = [[Godfrey II, Count of Louvain]]\r\n| mother               = Luitgarde of Sulzbach\r\n| birth_date           = c. 1142\r\n| birth_place          = \r\n| death_date           = 21 August 1190\r\n| death_place          = \r\n}',366691);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (415161,'nobility','{{Infobox nobility\r\n| name = Drahomíra\r\n| title = [[List of Bohemian consorts|Duchess consort of Bohemia]]\r\n| image = File:Drahomira.jpg\r\n| caption = Drahomíra hiring the assassins of Saint Ludmila, \'\'[[Chronicle of Dalimil]]\'\', {{circa|1330}}\r\n| succession=\r\n| reign = 915–921\r\n| coronation =\r\n| full name = \r\n| spouse = [[Vratislaus I, Duke of Bohemia]] \r\n| issue = [[Wenceslaus I, Duke of Bohemia]]&lt;br&gt;[[Boleslaus I, Duke of Bohemia]]&lt;br&gt;[[St?ezislava]] (?)\r\n| house =\r\n| father = ?, Prince of the [[Hevelli]]\r\n| mother = \r\n| birth_date = {{circa|877 or 890}}\r\n| birth_place =\r\n| death_date = after 934 or 936\r\n| death_place =\r\n| place of burial =\r\n|}',371312);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (496997,'royalty','{{Infobox royalty\r\n| name            =Vladislaus II\r\n| image           =Denar VladislavII 2.jpg\r\n| caption         =Denar of Vladislaus II\r\n| succession      = [[Duke of Bohemia]]\r\n| reign           = February 1140 &amp;ndash; 11 January 1158\r\n| coronation      =\r\n| predecessor     =  [[Sobeslav I of Bohemia|Sobeslaus I]]\r\n| successor       =  \'\'himself is king\'\'\r\n\r\n| succession1     =  [[King of Bohemia]]\r\n| reign1          =  11 January 1158 &amp;ndash; 1172\r\n| coronation1     =  11 January 1158, [[Regensburg]]\r\n| predecessor1    =  \'\'himself is duke\'\'\r\n| successor1      =  [[Frederick, Duke of Bohemia|Frederick]]\r\n\r\n| spouse          =  [[Gertrude of Babenberg, Duchess of Bohemia|Gertrude of Babenberg]]&lt;br&gt;[[Judith of Thuringia]]\r\n| issue           =  [[Frederick, Duke of Bohemia]]&lt;br&gt;[[Adalbert III of Bohemia|Adalbert III, Archbishop of Salzburg]]&lt;br&gt;[[Ottokar I of Bohemia|Ottokar I, King of Bohemia]]&lt;br&gt;[[Vladislaus III of Bohemia|Vladislaus III, Duke of Bohemia]]\r\n| issue-link = #Family and children\r\n| dynasty     = [[P?emyslid dynasty|P?emyslid]]\r\n| father          =  [[Vladislaus I, Duke of Bohemia]]\r\n| mother          =  [[Richeza of Berg]]\r\n| birth_date      =  c. 1110\r\n| birth_place     =  [[Bohemia]]\r\n| death_date      =  {{death date and age|1174|1|18|1110|df=y}}\r\n| death_place     =  [[Meerane]], Germany\r\n| place of burial =  [[Prague]], [[Strahov, Abbey of|Strahov Abbey]]\r\n| religion        =  [[Catholic Church|Roman Catholicism]]\r\n}',445315);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (514376,'royalty','{{Infobox royalty\r\n|consort=yes\r\n| name           =Margaret of Brabant\r\n| succession     =[[German Queen]]\r\n| coronation     =\r\n| image          =Paolo Monti - Servizio fotografico - BEIC 6362001.jpg\r\n| caption        =[[Giovanni Pisano]], \'\'Elevatio animae\'\', funerary monument to Queen Margaret, detail, Genoa, Museo di Sant\'Agostino, 1313-1314. Photo by [[Paolo Monti]]\r\n| birth_date  =4 October 1276\r\n| birth_place =\r\n| death_date  =14 December 1311\r\n| death_place =[[Genoa]], Italy\r\n| place of burial=\r\n| reign          =1308–1311\r\n| spouse         ={{marriage|[[Henry VII, Holy Roman Emperor]]|9 July 1292}}\r\n| issue          ={{Plainlist|\r\n* [[John, King of Bohemia]]\r\n* [[Marie of Luxembourg, Queen of France|Maria, Queen of France]]\r\n* [[Beatrix of Luxembourg|Beatrix, Queen of Hungary]]\r\n}}\r\n| house          =[[House of Reginar|Reginar]]\r\n| father         =[[John I, Duke of Brabant]]\r\n| mother         =[[Margaret of Flanders (d. 1285)|Margaret of Flanders]]\r\n|}',461377);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (522888,'royalty','{{Infobox royalty\r\n| consort = yes\r\n| name = Sibylla of Anjou\r\n| title = [[Countess consort of Flanders]]\r\n| spouse = {{marriage|[[William Clito]], Count of Flanders|1123|1124|end=annulled}}&lt;br /&gt;{{marriage|[[Thierry, Count of Flanders]]|1139|1165|end=d}}\r\n| issue = [[Philip, Count of Flanders]]&lt;br /&gt;[[Matthew of Alsace|Matthew, Count of Boulogne]]&lt;br /&gt;[[Margaret I, Countess of Flanders]]&lt;br /&gt;[[Gertrude of Flanders, Countess of Savoy|Gertrude, Countess of Savoy]]&lt;br /&gt;Matilda, Abbess of Fontevrault&lt;br /&gt;Peter, [[Archdiocese of Cambrai|Bishop of Cambrai]]\r\n| house = [[House of Châteaudun|Anjou]]\r\n| father = [[Fulk of Jerusalem]]\r\n| mother = [[Ermengarde of Maine]]\r\n| birth_date = {{circa|1112}}\r\n| death_date = 1165 (aged c. 53)\r\n| death_place = [[Abbey]] of Sts. [[Mary of Bethany|Mary]] and [[Martha]], [[Bethany (Biblical village)|Bethany]] (now [[al-Eizariya]], [[West Bank]])\r\n| place of burial = Abbey of St Lazarus\r\n||image=File:Sibylla d\'Anjou, Countess of Flanders (1112 - 1165).jpg}',469278);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (654036,'royalty','{{Infobox royalty\r\n|consort=yes\r\n| name           = Kunigunda Rostislavna\r\n| succession     =[[Queen consort of Bohemia]]\r\n| image          =Kunhuta zbrasl.jpg\r\n| image_size           =130px\r\n| caption        =\r\n| birth_date  =1245\r\n| birth_place =?\r\n| death_date  =9 September 1285 (aged 39–40)\r\n| death_place =[[Prague]]\r\n| place of burial=Prague\r\n| reign          =1261–1278\r\n| coronation     =1261\r\n| spouse         =[[Ottokar II of Bohemia]]&lt;br&gt;[[Zavis of Falkenstein|Záviš, Lord of Falkenštejn]]\r\n| issue          =[[Wenceslaus II of Bohemia]]&lt;br&gt;[[Kunigunde of Bohemia]]&lt;br&gt;Agnes, Duchess of Austria\r\n| dynasty          =[[Rurik Dynasty|Rurik]]\r\n| father         =[[Rostislav Mikhailovich]]\r\n| mother         =[[Anna of Hungary (b.1226)|Anna of Hungary]]\r\n|}',591164);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (674399,'royalty','{{Infobox royalty\r\n| name = Maria Laskarina\r\n| image = V. István koronázása.jpg\r\n| caption = [[Stephen V of Hungary|Stephen]] is crowned as \'\'rex iunior\'\' by his parents, King [[Béla IV of Hungary|Béla IV]] and Queen Maria, as depicted in the \'\'[[Chronicon Pictum|Illuminated Chronicle]]\'\'\r\n| succession    = [[Queen consort of Hungary]]\r\n| reign         =  1235–1270\r\n| coronation    =\r\n| issue          = {{plainlist|\r\n* Margaret de Saint-Omer,\r\n* [[Kinga of Poland|Saint Kinga, Queen of Poland]],\r\n* [[Anna of Hungary, Baness of Slavonia|Anna, Baness of Slavonia]],\r\n* Catherine of Hungary (died young),\r\n* [[Elisabeth of Hungary (d.1271)|Elisabeth, Duchess of Bavaria]],\r\n* Constance, Queen of Galicia,\r\n* [[Jolenta of Poland|Yolande, Duchess of Greater Poland]],\r\n* [[Stephen V of Hungary]],\r\n* [[Saint Margaret of Hungary]],\r\n* [[Béla, Duke of Slavonia]]\r\n}}\r\n| house          =  [[Laskaris]]\r\n| father         = [[Theodore I Laskaris]]\r\n| mother         = [[Anna Angelina]]\r\n| birth_date  = c. 1206\r\n| birth_place =\r\n| death_date  = 16 July or 24 June 1270\r\n| death_place =\r\n| place of burial=\r\n|spouse = [[Béla IV of Hungary]]}',610147);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (736496,'nobility','{{Infobox nobility|\r\n| name                 =Reignar III\r\n| title                =[[Count of Hainaut]]\r\n| image                =\r\n| spouse               =Adela\r\n| issue                =[[Reginar IV, Count of Mons]]&lt;br&gt;[[Lambert I of Leuven]]\r\n| noble family          =[[House of Reginar|Reginar]]\r\n| father               =[[Reginar II, Count of Hainaut]]\r\n| mother               =[[Adelaide of Burgundy (born c. 896)|Adelaide of Burgundy]]\r\n| birth_place       =[[Brabant (landgraviat)|Brabant]]\r\n| death_date        =before 973\r\n| death_place       =[[Bohemia]]\r\n|}',668039);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (812434,'royalty ','{{Infobox royalty |monarch\r\n| name        = Henry VI \r\n| image       = JIndrich6Woringen.jpg\r\n| caption     =\r\n| succession  = [[Count of Luxemburg]] and [[Arlon]]\r\n| reign       = 24 December 1281 – 5 June 1288\r\n| predecessor = [[Henry V, Count of Luxembourg|Henry V]]\r\n| successor   = [[Henry VII, Count of Luxembourg|Henry VII]]\r\n| spouse      = [[Beatrice d\'Avesnes]]\r\n| issue       = [[Henry VII, Holy Roman Emperor]]&lt;br /&gt;[[Baldwin of Luxembourg|Baldwin, Archbishop of Trier]]\r\n| issue-link = #Issue\r\n| issue-pipe = more...\r\n| house       = [[House of Luxembourg|Luxembourg]]\r\n| father      = [[Henry V, Count of Luxembourg]]\r\n| mother      = [[Margaret of Bar]]\r\n| birth_date  = {{circa| 1240}}\r\n| birth_place = \r\n| death_date  = 5 June 1288 (aged 48)\r\n| death_place = [[Worringen]]\r\n| place of burial=\r\n}',739060);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (916128,'country','{{Infobox country\r\n|native_name            = \'\'{{lang|de|(Gefürstete) Grafschaft Henneberg}}\'\' &lt;small&gt;([[German language|de]])&lt;/small&gt;\r\n|conventional_long_name = (Princely) County of Henneberg\r\n|common_name            = Henneberg\r\n|era                    = Middle Ages, Renaissance\r\n|status                 = Principality\r\n|empire                 = Holy Roman Empire\r\n|government_type        = [[Princes of the Holy Roman Empire|Principality]]\r\n\r\n|year_start             = 1037\r\n|year_end               = 1660\r\n|life_span              = c. 1037–1660\r\n\r\n|event_start            = Poppo I, first count\r\n|date_start             = c.\r\n|event1                 = Internally divided\r\n|date_event1            = 1274\r\n|event2                 = Raised to principality\r\n|date_event2            = 1310\r\n|event3                 = Joined&lt;br&gt;{{spaces|3}}[[Franconian Circle]]\r\n|date_event3            = 1500\r\n|event4                 = Schleusingen branch&lt;br&gt;{{spaces|3}}extinct\r\n|date_event4            = 1583\r\n|event_end              = Divided\r\n|date_end               =\r\n\r\n|p1                     = Duchy of Franconia\r\n|image_p1               = [[File:Frankenrechen.svg|20px]]\r\n|s1                     = Saxe-Weimar\r\n|image_s1               = [[File:Coat of arms of Saxony.svg|20px]]\r\n|s2                     = Saxe-Gotha\r\n|image_s2               = [[File:Coat of arms of Saxony.svg|20px]]\r\n|s3                     = Saxe-Zeitz\r\n|image_s3               = [[File:Coat of arms of Saxony.svg|20px]]\r\n\r\n|image_flag             = &lt;!--- Default: Flag of {{{common_name}}}.svg ---&gt;\r\n|image_coat             = Henneberg-Schleusingen.PNG\r\n|image_map              = Henneberg-about-1350.jpg\r\n|image_map_caption      = County of Henneberg around 1350\r\n\r\n|capital                = [[Henneberg, Thuringia|Henneberg]]&lt;br&gt;[[Schleusingen]]&lt;br&gt;[[Römhild]]\r\n|common_languages       = [[East Franconian German|East Franconian]]\r\n\r\n|footnotes              = &lt;!--- Accepts wikilinks ---&gt;\r\n}',835146);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (966567,'royalty','{{Infobox royalty\r\n| name           = Gertrude of Hohenberg\r\n| image          = Gertrud Anna Habsburg Basel Muenster 2008 018.jpg\r\n| caption        = Queen\'s tomb in [[Basel Minster]]\r\n| succession     = [[Queen consort of Germany]]\r\n| reign          = 1273–1281\r\n| birth_date     = {{circa|1225}}\r\n| birth_place    = [[Deilingen]], [[Duchy of Swabia|Swabia]]\r\n| death_date     = {{death date|1281|2|16|df=yes}}\r\n| death_place    = [[Vienna]], [[Duchy of Austria|Austria]]\r\n| burial_place   = [[Saint Paul\'s Abbey, Lavanttal]]\r\n| spouse         = [[Rudolph I of Germany]]\r\n| consort        = yes\r\n| issue          = {{plainlist|\r\n* [[Albert I of Germany]]\r\n* [[Rudolf II, Duke of Austria]]\r\n* [[Matilda of Habsburg|Matilda, Duchess of Bavaria]]\r\n* [[Agnes of Habsburg|Agnes, Electress of Saxony]]\r\n* [[Hedwig of Habsburg|Hedwig, Margravine of Brandenburg]]\r\n* [[Clementia of Habsburg|Clementia, Queen of Hungary]]\r\n* [[Judith of Habsburg|Judith, Queen of Bohemia]]\r\n}}\r\n|issue-link = #Biography\r\n| house          = [[Count of Hohenberg|Hohenberg]]\r\n| father         = [[Burkhard V, Count of Hohenberg]]\r\n| mother         = [[Matilda of Tübingen]]\r\n}',882227);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (987697,'nobility','{{Infobox nobility\r\n| name         = Lambert I\r\n| title        = Count of Louvain\r\n| spouse       = [[Gerberga of Lower Lorraine]]\r\n| issue        = [[Henry I of Louvain]]&lt;br&gt;[[Lambert II of Louvain]]\r\n| noble family = [[House of Reginar]]\r\n| father       = [[Reginar III of Hainaut]]\r\n| mother       = Adela\r\n| birth_date   = 950 &lt;br&gt; [[Leuven|Louvain]]\r\n| death_date   = 12 September 1015 (aged 65)&lt;br&gt;[[Florennes]]\r\n}',901692);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1042413,'nobility','{{Infobox nobility|\r\n| name                 = Reginar Longneck\r\n| title                = [[Duke of Lorraine]]&lt;br/&gt;[[Count of Hainaut]]\r\n| image                = \r\n| spouse               = Hersinda&lt;br/&gt;Alberada\r\n| issue                = [[Gilbert, Duke of Lorraine]]&lt;br/&gt;[[Reginar II, Count of Hainaut]]&lt;br/&gt;[[Frederick, Archbishop of Mainz]]{{cn|date=February 2018}}\r\n| noble family         = [[House of Reginar]]\r\n| birth_date           = c. 850\r\n| birth_place          = \r\n| death_date           = 915\r\n| death_place          = \r\n|}',951562);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1089977,'nobility','{{Infobox nobility|\r\n| name                 =Lambert II\r\n| title                =[[Count of Louvain]]\r\n| image                =Balderic2.jpg\r\n| spouse               =Oda of Verdun\r\n| issue                =[[Henry II, Count of Louvain]]&lt;br&gt;Régnier&lt;br&gt;Gerberge\r\n| noble family          =[[House of Reginar]]\r\n| father               =[[Lambert I, Count of Louvain]]\r\n| mother               =[[Gerberga of Lower Lorraine]]\r\n| birth_date        =\r\n| birth_place       =\r\n| death_date        =19 June 1054\r\n| death_place       =[[Tournai]]\r\n|}',993126);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1171565,'royalty','{{Infobox royalty\r\n| name           =Kunigunde of Hohenstaufen\r\n| succession     = [[Queen consort of Bohemia]]\r\n| birth_date  = February or March 1202\r\n| birth_place =[[Swabia]], [[Germany]]\r\n| death_date  = 13 September {{death year and age|1248|1200}}\r\n| death_place = [[Prague]], [[Bohemia]]\r\n| place of burial = Convent of St Agnes of Bohemia in Prague\r\n| reign   = 1230–1248\r\n| spouse      = [[Wenceslaus I of Bohemia]]\r\n| issue          = [[Vladislaus III of Moravia|Vladislaus, Margrave of Moravia]]\r\n[[Ottokar II of Bohemia]]\r\n| house    = [[House of Hohenstaufen|Hohenstaufen]]\r\n| father         = [[Philip of Swabia]]\r\n| mother         = [[Irene Angelina]]\r\n|}',1066486);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1229694,'royalty','{{Infobox royalty|monarch|consort\r\n| name         = Agnes of Antioch\r\n| full name    =\r\n| image        = Chatillon Anna arcrekonstrukció.jpg\r\n| caption      = \r\n| succession   = Queen consort of Hungary&lt;ref name=&quot;britannica&quot;&gt;{{cite web |url= http://www.britannica.com/EBchecked/topic/59035/Bela-III |title= Bela III &amp;#124; biography - king of Hungary &amp;#124; Britannica.com |publisher= britannica.com |access-date= 22 August 2015}}&lt;/ref&gt;&lt;ref name=&quot;google&quot;&gt;{{cite book |title= Mediæval popes, emperors, kings, and crusaders: or, Germany, Italy and Palestine, from A. D. 1125 to 1268 |author= Busk, W. |date= 1855 |issue= 2. k |publisher= Hookham &amp; sons |url= https://archive.org/details/medivalpopesem02buskuoft |page=[https://archive.org/details/medivalpopesem02buskuoft/page/157 157] |access-date= 22 August 2015}}&lt;/ref&gt;\r\n| reign        =  4 March 1172 – c. 1184\r\n| coronation   = 13 January 1173\r\n| spouse       = [[Béla III of Hungary|Béla III, King of Hungary]]\r\n| issue        =  [[Emeric, King of Hungary]] &lt;br/&gt;[[Margaret of Hungary|Byzantine Empress Margaret]] &lt;br/&gt; [[Andrew II of Hungary|Andrew II, King of Hungary]] &lt;br/&gt; [[Constance of Hungary|Constance, Queen of Bohemia]]\r\n| house        = [[House of Châtillon]] &lt;br/&gt; [[House of Árpád]]\r\n| father       = [[Raynald of Châtillon]]\r\n| mother       =  [[Constance, Princess of Antioch]]\r\n| birth_date   = c. 1154\r\n| birth_place  =\r\n| death_date   = c. 1184\r\n| death_place  =\r\n| burial_place = [[Székesfehérvár Basilica]]&lt;br/&gt;reburied at [[Matthias Church]]\r\n| religion     = [[Catholic Church|Roman Catholic]]\r\n|}',1117785);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1350625,'nobility','{{Infobox nobility\r\n|name                      =Maria of Hohenstaufen\r\n|spouse                    =[[Henry II, Duke of Brabant]] and [[Duke of Lothier|Lothier]]\r\n|issue                     =[[Matilda of Brabant]]&lt;br&gt;[[Beatrice of Brabant]]&lt;br&gt;[[Maria of Brabant, Duchess of Bavaria|Maria of Brabant]]&lt;br&gt;Margaret of Brabant&lt;br&gt;[[Henry III, Duke of Brabant]]&lt;br&gt;Philip of Brabant\r\n|father                    =[[Philip of Swabia]]\r\n|mother                    =[[Irene Angelina]] of [[Byzantium]]\r\n|birth_date                 =1199/1200\r\n|birth_place            =[[Arezzo]], [[Tuscany]], [[Italy]]\r\n|death_date             =29 March 1235 (aged 35-36)\r\n|death_place            =[[Leuven]], [[Flemish Brabant|Brabant]]\r\n|noble family              =[[Hohenstaufen]]\r\n|}',1230167);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1480226,'royalty','{{Infobox royalty|consort=yes\r\n| succession =[[Queen consort of Bohemia]]\r\n| image          =Konstancie Uherska Porta Coeli.jpg\r\n| caption        =Queen Constance on a [[Tympanum (architecture)|tympanum]] in the [[Porta coeli Convent|Cistercian abbey Porta Coeli]]\r\n| birth_place =Hungary\r\n| death_place =[[Tišnov]], [[Moravia]]\r\n| place of burial=[[Porta coeli Convent|Cloister Porta coeli]]\r\n| reign   =1199–1230\r\n| spouse      =[[Ottokar I of Bohemia]]\r\n| issue          =[[Wenceslaus I of Bohemia]]&lt;br&gt;[[Anne of Bohemia (1204–1265)|Anna of Bohemia]]&lt;br&gt;[[Agnes of Bohemia|Saint Agnes of Bohemia]]\r\n| royal house    =[[House of Árpád|Árpád]]\r\n| father         =[[Béla III of Hungary]]\r\n| mother         =[[Agnes of Antioch]]\r\n| birth_date  = c. 1180\r\n| death_date  = 6 December 1240 (aged c. 60)\r\n|}',1343739);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1517196,'royalty','{{Infobox royalty\r\n| succession   = [[Queen consort of Bohemia]]\r\n| reign        = 1285–1297\r\n| coronation   = 2 June 1297, Prague\r\n| succession1  = [[Queen consort of Poland]]\r\n| reign1       =  1296–1297\r\n| birth_date   = 13 March 1271\r\n| birth_place  = [[Rheinfelden (Aargau)|Rheinfelden]], [[Duchy of Swabia|Swabia]]\r\n| death_date   = {{death date and age|1297|5|21|1271|3|13|df=yes}}\r\n| death_place  = [[Prague]], [[Kingdom of Bohemia|Bohemia]]\r\n| burial_place = Royal Crypt in [[St. Vitus Cathedral]], Prague\r\n| spouse       = [[Wenceslaus II of Bohemia]]\r\n| consort      = yes\r\n| issue        = {{plainlist|\r\n* [[Wenceslaus III of Bohemia]]\r\n* [[Anne of Bohemia (1290–1313)|Anne, Queen of Bohemia]]\r\n* [[Elisabeth of Bohemia (1292–1330)|Elisabeth, Queen of Bohemia]]\r\n* [[Margaret of Bohemia (1296-1322)|Margaret, Duchess of Brieg]]\r\n}}\r\n| house        = [[House of Habsburg|Habsburg]]\r\n| father       = [[Rudolf I of Germany]]\r\n| mother       = [[Gertrude of Hohenberg]]\r\n}',1372137);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1519590,'nobility','{{Infobox nobility\r\n| name         = Judith of Schweinfurt\r\n| title        = [[List of Bohemian consorts|Duchess of Bohemia]]\r\n| image        = Jitka od B?etislava.jpg \r\n| image_size   = 120px\r\n| alt          = Judith \r\n| caption      = Depiction in the \'\'[[Chronicle of Dalimil]]\'\', 14th century \r\n| noble family = House of Schweinfurt\r\n| birth_date   = before 1003 \r\n| death_date   = 2 August 1058\r\n| father       = [[Henry of Schweinfurt]]\r\n| mother       = [[Gerberga of Gleiberg|Gerberga]] of [[House of Henneberg|Henneberg]]\r\n| spouse       = [[Bretislav I]], Duke of Bohemia\r\n| issue        = {{plainlist|\r\n*[[Vratislaus II of Bohemia]]\r\n*[[Spytihn?v II, Duke of Bohemia]]\r\n*[[Conrad I, Duke of Bohemia]]\r\n*[[Otto I of Olomouc]]}}\r\n}',1374375);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1520359,'royalty','{{Infobox royalty\r\n| name           =?wi?tos?awa of Poland\r\n| succession     =[[Queen consort of Bohemia]]\r\n| image          =?wi?tos?awa.jpeg\r\n| caption        =?wi?tos?awa depicted by [[Jan Matejko]], 1886.\r\n| birth_date  =c. 1046–1048\r\n| birth_place =\r\n| death_date  =1 September 1126 (aged c. 78–80)\r\n| death_place =[[Bohemia]]\r\n| place of burial=\r\n| reign   =1062–1092\r\n| spouse      =[[Vratislaus II of Bohemia]]\r\n| issue          ={{plainlist|\r\n*[[Bo?ivoj II of Bohemia]]\r\n*[[Vladislaus I, Duke of Bohemia|Vladislaus I of Bohemia]]\r\n*[[Sob?slav I of Bohemia]]}}\r\n| issue-link = #Children\r\n| issue-pipe =more\r\n| house    =[[House of Piast|Piast]]\r\n| father         =[[Casimir I of Poland]]\r\n| mother         =[[Maria Dobroniega of Kiev]]\r\n|}',1375104);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1534241,'royalty','{{Infobox royalty\r\n|consort        =yes\r\n|image          =File:Judith_of_Thuringia_-_forensic_facial_reconstruction.jpg\r\n|caption        =Forensic facial reconstruction of Judith of Thuringia\r\n|succession     =[[Queen consort of Bohemia]]\r\n|reign          =1158–1172\r\n|succession1    =[[Duchess consort of Bohemia]]\r\n|reign1         =1153–1158\r\n|spouse         =[[Vladislaus II, Duke of Bohemia]]\r\n|issue          =[[Ottokar I, King of Bohemia]]&lt;br/&gt;[[Vladislaus III, Duke of Bohemia]]\r\n|issue-link    = #Children\r\n|house          =[[Ludovingians]]\r\n|father         =[[Louis I, Landgrave of Thuringia]]\r\n|mother         =[[Hedwig of Gudensberg]]\r\n|birth_date     ={{circa|1135}}\r\n|birth_place    =[[Wartburg Castle]]\r\n|death_date     =9 September after 1174\r\n|death_place    =(?)\r\n|place of burial=[[Teplice]] Abbey\r\n|}',1387352);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1701240,'noble','{{Infobox noble\r\n| name = Adelaide of Burgundy\r\n| image = Alix Brabant.jpg\r\n| caption = Adelaide of Burgundy on horseback (1260)\r\n| noble family = [[House of Burgundy|Burgundy]]\r\n| father = [[Hugh IV, Duke of Burgundy]]\r\n| mother = [[Yolande of Dreux (Burgundy)|Yolande of Dreux]]\r\n| spouse = [[Henry III, Duke of Brabant]]\r\n| birth_date = {{circa| 1233}}\r\n| birth_place = \r\n| death_date = {{death date|1273|10|23|df=y}}\r\n| death_place = \r\n| religion = [[Roman Catholicism]]\r\n}',1531348);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1723837,'royalty','{{Infobox royalty\r\n| name = Anna of Hungary\r\n| image         =\r\n| caption =\r\n| spouse = [[Rostislav Mikhailovich]]\r\n| issue          = [[Béla of Macsó]]&lt;br&gt;[[Michael of Bosnia]]&lt;br&gt;[[Kunigunda, Queen Consort of Bohemia]]&lt;br&gt;[[Gryfina, High Duchess consort of Poland]]\r\n| house          =  [[Árpád dynasty]]\r\n| father         = [[Béla IV of Hungary]]\r\n| mother         = [[Maria Laskarina]]\r\n| birth_date  = 1226\r\n| birth_place =\r\n| death_date  = \r\n| death_place =\r\n| place of burial=\r\n| religion = [[Roman Catholicism]]\r\n}',1552338);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1723973,'nobility','{{Infobox nobility\r\n| name         = Henry II\r\n| title        = [[Count of Louvain]]&lt;br&gt;[[Count of Brussels]]\r\n| spouse       = Adèle\r\n| issue        = [[Henry III, Count of Louvain]]&lt;br&gt;[[Godfrey I, Count of Louvain]]&lt;br&gt;[[Albero I of Louvain]], [[Prince-Bishop of Liège]]&lt;br&gt;Ide\r\n| noble family = [[House of Reginar]]\r\n| father       = [[Lambert II, Count of Louvain]]\r\n| mother       = Oda of Verdun\r\n| birth_date   = c. 1020\r\n| birth_place  = \r\n| death_date   = 1078\r\n| death_place  = \r\n}',1552471);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1737267,'royalty','{{Infobox royalty\r\n| image = Dobranega maria.jpeg\r\n| succession =[[List of Polish consorts|Duchess consort of Poland]]\r\n| reign = 1040–1058\r\n| coronation =\r\n| othertitles =Grand Duchess of Lithuania\r\n| full name =\r\n| spouse =[[Casimir I the Restorer|Casimir the Restorer]]\r\n| issue =[[Boles?aw II the Bold]]&lt;br&gt;[[W?adys?aw I Herman]]&lt;br&gt;[[Mieszko Kazimierzowic]]&lt;br&gt; Otto Kazimierzowic&lt;br&gt;[[?wi?tos?awa of Poland|?wi?tos?awa, Queen of Bohemia]]\r\n| dynasty =[[Rurikids]]\r\n| royal anthem =\r\n| father = [[Vladimir I of Kiev|Vladimir the Great]]\r\n| mother = \r\n| birth_date =1012\r\n| birth_place =\r\n| death_date =13 December 1087 (aged 75)\r\n| death_place =\r\n| date of burial =\r\n| place of burial =\r\n|}',1565060);
INSERT INTO `infoboxes` (`id`,`infoboxType`,`infoboxContent`,`pageId`) VALUES (1987922,'royalty','{{Infobox royalty|\r\n| name            =Henry VII\r\n| image           =Henry Lux head.jpg\r\n| image_size            =170px\r\n| succession= [[Holy Roman Emperor]]\r\n| reign = 29 June 1312 – 24 August 1313\r\n| predecessor= [[Frederick II, Holy Roman Emperor|Frederick II]]\r\n| successor= [[Louis IV, Holy Roman Emperor|Louis IV]]\r\n| coronation= 29 June 1312, [[Rome]]\r\n| succession1= [[King of the Romans]]\r\n| reign1 = 27 November 1308 – 24 August 1313\r\n| predecessor1= [[Albert I of Habsburg|Albert I]]\r\n| successor1= [[Louis IV, Holy Roman Emperor|Louis IV]]\r\n| coronation1= 6 January 1309, [[Aachen]]\r\n| succession2= [[King of Italy]]\r\n| reign2 = 6 January 1311 – 24 August 1313\r\n| predecessor2= [[Conrad IV of Germany|Conrad IV]]\r\n| successor2= [[Louis IV, Holy Roman Emperor|Louis IV]]\r\n| coronation2= 6 January 1311, [[Milan]]\r\n| succession3 = [[Count of Luxembourg]] and [[Arlon]]\r\n| reign3 = 5 June 1288 – 24 August 1313\r\n| predecessor3 = [[Henry VI, Count of Luxembourg|Henry VI]]\r\n| successor3 = [[John of Bohemia|John I]]\r\n| spouse         = [[Margaret of Brabant]]\r\n| issue           =[[John, King of Bohemia]] &lt;br /&gt; [[Marie of Luxembourg, Queen of France|Marie, Queen of France]] &lt;br /&gt; [[Beatrice of Luxembourg|Beatrice, Queen of Hungary]]\r\n| house           =[[House of Luxembourg|Luxembourg]]\r\n| father          =[[Henry VI of Luxembourg]]\r\n| mother          = [[Beatrice d\'Avesnes]]\r\n| birth_date   = c. 1273&lt;ref&gt;\'\'Regesta Imperii\'\' 6.4.1, Regest a ([http://www.regesta-imperii.de/id/0000-00-00_1_0_6_4_1_1_a online]).&lt;/ref&gt;\r\n| birth_place  = [[Valenciennes]], [[County of Hainaut]]\r\n| death_date = 24 August 1313 (aged c. 40)\r\n| death_place  = [[Buonconvento]], [[Kingdom of Italy (Holy Roman Empire)|Italy]]\r\n| date of burial  =\r\n| place of burial =[[Duomo di Pisa]], [[Pisa]]\r\n| religion =[[Catholic Church|Roman Catholicism]]\r\n|}',1797288);

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
